% The different dimensionless parameters are defined as
% lambda= viscosity ratio
% R= electrical conductivity ratio
% S= dielectric permittivity ratio
% Ca= Capillary number
% ReE= electrical Reynolds number
% k=the physicochemical parameter (Pe/Ca)
% beta=eleasticity parameter
% theta= polar angle in radians
% phi=azimuthal angle in radians
% Ex,Ez = transverse and longitudinal components of the applied electric
% field, respectively. 
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%O(ReE) surface charge density
 qs_ReE=(-(576*(R+2))*(cos(theta)+1)*((35/2)*Z42*(R+4/3)*(S+5/4)*(R+3/2)*cos(theta)^2+(5*(S+4/3))*(R+5/4)*Z32*(R+3/2)*cos(theta)+(R+4/3)*(((Z22-(5/2)*Z42)*S+(3/2)*Z22-(25/8)*Z42)*R+((5/4)*Z22-(15/4)*Z42)*S+(15/8)*Z22-(75/16)*Z42))*(cos(theta)-1)*cos(2*phi)-(2880*(R+2))*(cos(theta)+1)*sin(theta)*((7*(R+4/3))*(S+5/4)*Z43*cos(theta)+(S+4/3)*(R+5/4)*Z33)*(R+3/2)*(cos(theta)-1)*cos(3*phi)+(840*(R+2))*(R+4/3)*(S+5/4)*(R+3/2)*Z40*cos(theta)^4+(3360*(Z41*(R+4/3)*(S+5/4)*cos(phi)*sin(theta)+(1/7*(S+4/3))*(R+5/4)*Z30))*(R+2)*(R+3/2)*cos(theta)^3+(1440*(R+2))*((S+4/3)*(R+5/4)*cos(phi)*(R+3/2)*Z31*sin(theta)+(1/5*(R+4/3))*(((Z20-(5/2)*Z40)*S+(3/2)*Z20-(25/8)*Z40)*R+((5/4)*Z20-(15/4)*Z40)*S+(15/8)*Z20-(75/16)*Z40))*cos(theta)^2+((576*(R+2))*(R+4/3)*(((Z21-(5/2)*Z41)*S+(3/2)*Z21-(25/8)*Z41)*R+((5/4)*Z21-(15/4)*Z41)*S+(15/8)*Z21-(75/16)*Z41)*cos(phi)*sin(theta)+(192*(R+5/4))*(((Z10-(3/2)*Z30)*S+2*Z10-2*Z30)*R+((4/3)*Z10-3*Z30)*S+(8/3)*Z10-4*Z30)*(R+3/2))*cos(theta)-(288*(R+5/4))*cos(phi)*(((Z31-(2/3)*Z11)*S+(4/3)*Z31-(4/3)*Z11)*R+(2*Z31-(8/9)*Z11)*S+(8/3)*Z31-(16/9)*Z11)*(R+3/2)*sin(theta)-(96*(R+2))*(R+4/3)*(((Z20-(3/4)*Z40)*S+(3/2)*Z20-(15/16)*Z40)*R+((5/4)*Z20-(9/8)*Z40)*S+(15/8)*Z20-(45/32)*Z40))/(192*R^4+1168*R^3+2632*R^2+2608*R+960);

%O(ReE) surfactant concentration harmonics
    gRe10 = (3/10)*k*(3*R*beta-S*beta-3*R+S+3*beta-3)*M*k_2*(R-S)*(5*k^2*beta^2*Ex^2-75*k*beta^2*lambda*Ex^2+216*beta^2*lambda^2*Ex^2+48*beta^2*lambda^2*Ez^2-145*k*beta^2*Ex^2+75*k*beta*lambda*Ex^2+714*beta^2*lambda*Ex^2+252*beta^2*lambda*Ez^2-432*beta*lambda^2*Ex^2-96*beta*lambda^2*Ez^2+145*k*beta*Ex^2+450*beta^2*Ex^2+240*beta^2*Ez^2-1428*beta*lambda*Ex^2-504*beta*lambda*Ez^2+216*lambda^2*Ex^2+48*lambda^2*Ez^2-900*beta*Ex^2-480*beta*Ez^2+714*lambda*Ex^2+252*lambda*Ez^2+450*Ex^2+240*Ez^2)/((k*beta-7*beta*lambda-7*beta+7*lambda+7)*(R+2)^2*(lambda+4)*(2*R+3)*(k*beta-3*beta*lambda-2*beta+3*lambda+2)^2);
    gRe11 = -(3/10)*k*(3*R*beta-S*beta-3*R+S+3*beta-3)*M*k_2*Ez*(R-S)*Ex*(5*k^2*beta^2-15*k*beta^2*lambda-12*beta^2*lambda^2+95*k*beta^2+15*k*beta*lambda-378*beta^2*lambda+24*beta*lambda^2-95*k*beta-270*beta^2+756*beta*lambda-12*lambda^2+540*beta-378*lambda-270)/((k*beta-7*beta*lambda-7*beta+7*lambda+7)*(R+2)^2*(lambda+4)*(2*R+3)*(k*beta-3*beta*lambda-2*beta+3*lambda+2)^2);
    gRe20 = (621/35)*k*M*(M*(R^2+(-(18/23)*S+130/69)*R-(80/69)*S+40/69)*(-1+beta)*(R-S)*Ex^4-M*Ez^2*(R^2+(-(18/23)*S+130/69)*R-(80/69)*S+40/69)*(-1+beta)*(R-S)*Ex^2+(35/276)*Ez*k_1*(((k-5*lambda-442/63)*beta+5*lambda+442/63)*R^2+(((-2*k+10*lambda+772/63)*S-(2/3)*k+(10/3)*lambda+20/21)*beta+(-10*lambda-772/63)*S-(10/3)*lambda-20/21)*R+((-(8/3)*k+(40/3)*lambda+1040/63)*S+880/63-(8/3)*k+(40/3)*lambda)*beta+(-(40/3)*lambda-1040/63)*S-880/63-(40/3)*lambda)*(R+2)^2*Ex-2*M*Ez^4*(R^2+(-(18/23)*S+130/69)*R-(80/69)*S+40/69)*(-1+beta)*(R-S))*(-1+beta)*(R-S)/((R+4/3)*(R+2)^5*((k-5*lambda-5)*beta+5*lambda+5)^2);
    gRe21 = -(1242/35)*k*(-(35/1656)*k_1*(((k-5*lambda-1016/63)*beta+5*lambda+1016/63)*Ex^2-((k-5*lambda+386/63)*beta+5*lambda-386/63)*Ez^2)*R^4+((((((35/828)*k-(175/828)*lambda-710/1863)*S+3290/1863-(175/2484)*k+(875/2484)*lambda)*beta+(710/1863+(175/828)*lambda)*S-3290/1863-(875/2484)*lambda)*Ex^2-(35/828*(((k-5*lambda-62/63)*S-(5/3)*k+(25/3)*lambda-226/9)*beta+(5*lambda+62/63)*S-(25/3)*lambda+226/9))*Ez^2)*k_1+M*Ex*Ez*(Ex^2+Ez^2)*(-1+beta))*R^3+(((((-1280/621+(140/621)*k-(700/621)*lambda)*S+1780/621+(35/1242)*k-(175/1242)*lambda)*beta+(1280/621+(700/621)*lambda)*S+(175/1242)*lambda-1780/621)*Ex^2-(140/621)*Ez^2*(((k-5*lambda-6/7)*S+(1/8)*k-(5/8)*lambda-391/28)*beta+(5*lambda+6/7)*S+(5/8)*lambda+391/28))*k_1-(41/23)*M*Ez*(Ex^2+Ez^2)*(S-130/123)*(-1+beta)*Ex)*R^2+(((((-760/207+(245/621)*k-(1225/621)*lambda)*S+2200/1863+(175/621)*k-(875/621)*lambda)*beta+(760/207+(1225/621)*lambda)*S+(875/621)*lambda-2200/1863)*Ex^2-(245/621*(((k-5*lambda-34/49)*S+(5/7)*k-(25/7)*lambda-1490/147)*beta+(5*lambda+34/49)*S+(25/7)*lambda+1490/147))*Ez^2)*k_1+(18/23)*M*Ez*(Ex^2+Ez^2)*(-1+beta)*(S^2-(35/9)*S+20/27)*Ex)*R+((((-4000/1863+(140/621)*k-(700/621)*lambda)*S-800/1863+(140/621)*k-(700/621)*lambda)*beta+(4000/1863+(700/621)*lambda)*S+(700/621)*lambda+800/1863)*Ex^2-(140/621)*Ez^2*(((k-5*lambda-10/21)*S+k-5*lambda-170/21)*beta+(5*lambda+10/21)*S+5*lambda+170/21))*k_1+(80/69)*M*Ez*(Ex^2+Ez^2)*(S-1/2)*(-1+beta)*S*Ex)*M*(-1+beta)*(R-S)/((R+4/3)*(R+2)^5*((k-5*lambda-5)*beta+5*lambda+5)^2);
    gRe22 = -(621/70)*k*M*(-1+beta)*Ex*(R-S)*((35/828)*Ez*k_1*((k-5*lambda+22/21)*beta+5*lambda-22/21)*R^4+(M*Ex*(-1+beta)*Ez^2-(35/414)*k_1*(((k-5*lambda-34/21)*S-(5/3)*k+(25/3)*lambda-22/3)*beta+(5*lambda+34/21)*S-(25/3)*lambda+22/3)*Ez+Ex^3*(-1+beta)*M)*R^3+(-(41/23)*M*(S-130/123)*(-1+beta)*Ex*Ez^2-(280/621)*k_1*(((k-5*lambda-11/7)*S+(1/8)*k-(5/8)*lambda-151/28)*beta+(5*lambda+11/7)*S+(5/8)*lambda+151/28)*Ez-(41/23)*M*(S-130/123)*(-1+beta)*Ex^3)*R^2+((18/23)*M*(-1+beta)*(S^2-(35/9)*S+20/27)*Ex*Ez^2-(490/621)*k_1*(((k-5*lambda-74/49)*S+(5/7)*k-(25/7)*lambda-230/49)*beta+(5*lambda+74/49)*S+(25/7)*lambda+230/49)*Ez+(18/23)*M*(-1+beta)*(S^2-(35/9)*S+20/27)*Ex^3)*R+(80/69)*M*(S-1/2)*(-1+beta)*S*Ex*Ez^2-(280/621)*k_1*(((k-5*lambda-10/7)*S+k-5*lambda-30/7)*beta+(5*lambda+10/7)*S+5*lambda+30/7)*Ez+(80/69)*M*(S-1/2)*(-1+beta)*S*Ex^3)/((R+4/3)*(R+2)^5*((k-5*lambda-5)*beta+5*lambda+5)^2);
    gRe30 = (((((5625/4)*Ex*(-1+beta)*k_2*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(4*R+5))-120*k_2*(((216/5)*lambda^2+(-15*k+714/5)*lambda+k^2-29*k+90)*beta^2+(-(432/5)*lambda^2+(15*k-1428/5)*lambda+29*k-180)*beta+(216/5)*lambda^2+(714/5)*lambda+90)*Ex*(R-S)/(((k-3*lambda-2)*beta+3*lambda+2)*(R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(lambda+4)*(2*R+3)))*Ex+(1500*Ez*(-1+beta)*k_2*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(4*R+5))+1728*(-1+beta)^2*(lambda+5/4)*k_2*Ez*(R-S)/(((k-3*lambda-2)*beta+3*lambda+2)*(R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(2*R+3)))*Ez)*R+((5625/4)*Ex*(-1+beta)*k_2*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(4*R+5))+180*k_2*(((216/5)*lambda^2+(-15*k+714/5)*lambda+k^2-29*k+90)*beta^2+(-(432/5)*lambda^2+(15*k-1428/5)*lambda+29*k-180)*beta+(216/5)*lambda^2+(714/5)*lambda+90)*Ex*(R-S)/(((k-3*lambda-2)*beta+3*lambda+2)*(R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(lambda+4)*(2*R+3)))*Ex+100*Ez*(15*Ez*(-1+beta)*k_2*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(4*R+5))-(648/25)*(-1+beta)^2*(lambda+5/4)*k_2*Ez*(R-S)/(((k-3*lambda-2)*beta+3*lambda+2)*(R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(2*R+3))))/(5*R+10)+((144*((5/3)*k_2*(((216/5)*lambda^2+(-15*k+714/5)*lambda+k^2-29*k+90)*beta^2+(-(432/5)*lambda^2+(15*k-1428/5)*lambda+29*k-180)*beta+(216/5)*lambda^2+(714/5)*lambda+90)*Ex*(R-S)/(((k-3*lambda-2)*beta+3*lambda+2)*(R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(lambda+4)*(2*R+3))-(125/64)*Ex*(-1+beta)*k_2*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(4*R+5))))*Ex-144*Ez*(24*(-1+beta)^2*(lambda+5/4)*k_2*Ez*(R-S)/(((k-3*lambda-2)*beta+3*lambda+2)*(R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(2*R+3))+(25/12)*Ez*(-1+beta)*k_2*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(4*R+5))))*S/(5*R+10))*M*(-1+beta)*k/((12*k-84*lambda-84)*beta+84*lambda+84);
    gRe31 = k*M*Ez*k_2*(-1+beta)*((((26469/640)*lambda^2+(-(1739/128)*k+43393/320)*lambda+1451/16-(747/32)*k+k^2)*R^2+((-7047/1280-(50913/640)*S)*lambda^2+(((3343/128)*k-82061/320)*S+(457/256)*k-7259/640)*lambda+((1359/32)*k-2*k^2-2767/16)*S-313/32-(39/64)*k-(1/4)*k^2)*R+(-(25479/256)*S-18333/256)*lambda^2+(((8365/256)*k-41083/128)*S-29001/128+(6015/256)*k)*lambda+(-6925/32+(3405/64)*k-(5/2)*k^2)*S-4935/32+(2295/64)*k-(15/8)*k^2)*beta^2+((-(26469/320)*lambda^2+((1739/128)*k-43393/160)*lambda-1451/8+(747/32)*k)*R^2+((7047/640+(50913/320)*S)*lambda^2+((-(3343/128)*k+82061/160)*S-(457/256)*k+7259/320)*lambda+(-(1359/32)*k+2767/8)*S+313/16+(39/64)*k)*R+((25479/128)*S+18333/128)*lambda^2+((-(8365/256)*k+41083/64)*S+29001/64-(6015/256)*k)*lambda+(6925/16-(3405/64)*k)*S+4935/16-(2295/64)*k)*beta+((43393/320)*lambda+1451/16+(26469/640)*lambda^2)*R^2+((-7047/1280-(50913/640)*S)*lambda^2+(-7259/640-(82061/320)*S)*lambda-313/32-(2767/16)*S)*R+(-(25479/256)*S-18333/256)*lambda^2+(-(41083/128)*S-29001/128)*lambda-4935/32-(6925/32)*S)*Ex*(R-S)/((R+3/2)*((k-7*lambda-7)*beta+7*lambda+7)^2*(R+5/4)*(lambda+4)*((k-3*lambda-2)*beta+3*lambda+2)*(R+2)^2);
    gRe32 = ((((-(1875/4)*Ex*(-1+beta)*k_2*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(4*R+5))+40*k_2*(((216/5)*lambda^2+(-15*k+714/5)*lambda+k^2-29*k+90)*beta^2+(-(432/5)*lambda^2+(15*k-1428/5)*lambda+29*k-180)*beta+(216/5)*lambda^2+(714/5)*lambda+90)*Ex*(R-S)/(((k-3*lambda-2)*beta+3*lambda+2)*(R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(lambda+4)*(2*R+3)))*R-(1875/4)*Ex*(-1+beta)*k_2*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(4*R+5))-60*k_2*(((216/5)*lambda^2+(-15*k+714/5)*lambda+k^2-29*k+90)*beta^2+(-(432/5)*lambda^2+(15*k-1428/5)*lambda+29*k-180)*beta+(216/5)*lambda^2+(714/5)*lambda+90)*Ex*(R-S)/(((k-3*lambda-2)*beta+3*lambda+2)*(R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(lambda+4)*(2*R+3)))*Ex+((300*(-(5/4)*Ez*(-1+beta)*k_2*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(4*R+5))-(4/15)*((k-6*lambda-3)*beta+6*lambda+3)*k_2*Ez*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(lambda+4)*(2*R+3))))*R-375*Ez*(-1+beta)*k_2*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(4*R+5))+(120*((k-6*lambda-3)*beta+6*lambda+3))*k_2*Ez*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(lambda+4)*(2*R+3)))*Ez)/(10*R+20)-48*S*(((5/3)*k_2*(((216/5)*lambda^2+(-15*k+714/5)*lambda+k^2-29*k+90)*beta^2+(-(432/5)*lambda^2+(15*k-1428/5)*lambda+29*k-180)*beta+(216/5)*lambda^2+(714/5)*lambda+90)*Ex*(R-S)/(((k-3*lambda-2)*beta+3*lambda+2)*(R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(lambda+4)*(2*R+3))-(125/64)*Ex*(-1+beta)*k_2*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(4*R+5)))*Ex+2*Ez*(-(5/3)*((k-6*lambda-3)*beta+6*lambda+3)*k_2*Ez*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(lambda+4)*(2*R+3))-(25/32)*Ez*(-1+beta)*k_2*(R-S)/((R+2)*((k-7*lambda-7)*beta+7*lambda+7)*(4*R+5))))/(10*R+20))*M*(-1+beta)*k/((12*k-84*lambda-84)*beta+84*lambda+84);
    gRe33 = -(1/6)*k*M*Ez*k_2*(-1+beta)*(((k-(643/128)*lambda+29/32)*R^2+(((1511/128)*S+1009/256)*lambda+(-2*k+167/32)*S-(1/4)*k+673/64)*R+((3765/256)*S+3255/256)*lambda+(-(5/2)*k+405/64)*S+735/64-(15/8)*k)*beta+((643/128)*lambda-29/32)*R^2+((-1009/256-(1511/128)*S)*lambda-673/64-(167/32)*S)*R+(-(3765/256)*S-3255/256)*lambda-(405/64)*S-735/64)*Ex*(R-S)/((R+3/2)*((k-7*lambda-7)*beta+7*lambda+7)^2*(R+5/4)*(lambda+4)*(R+2)^2);
    gRe40 = -(243/35)*k*M*(-(40/27)*R^2*Ex*Ez*k_1+(M*Ex^4-8*M*Ez^2*Ex^2+(8/3)*M*Ez^4-(160/27)*Ex*Ez*k_1)*R-M*S*Ex^4+8*M*S*Ex^2*Ez^2-(8/3)*M*S*Ez^4-(160/27)*Ex*Ez*k_1)*(R-4/3-2*S)*(-1+beta)^2*(R-S)/(((k-9*lambda-9)*beta+9*lambda+9)*(R+4/3)*(R+2)^4*((k-5*lambda-5)*beta+5*lambda+5));
    gRe41 = (486/35)*k*M*((5/36)*R^2*k_1+(M*Ex*Ez+(5/9)*k_1)*R-M*S*Ex*Ez+(5/9)*k_1)*(Ex^2-(4/3)*Ez^2)*(R-4/3-2*S)*(-1+beta)^2*(R-S)/(((k-9*lambda-9)*beta+9*lambda+9)*(R+4/3)*(R+2)^4*((k-5*lambda-5)*beta+5*lambda+5));
    gRe42 = (27/35)*k*M*(-(10/9)*R^2*Ez*k_1+(M*Ex^3-6*M*Ex*Ez^2-(40/9)*k_1*Ez)*R-M*S*Ex^3+6*M*S*Ex*Ez^2-(40/9)*k_1*Ez)*(R-4/3-2*S)*(-1+beta)^2*Ex*(R-S)/(((k-9*lambda-9)*beta+9*lambda+9)*(R+4/3)*(R+2)^4*((k-5*lambda-5)*beta+5*lambda+5));
    gRe43 = -(27/35)*k*M*((5/36)*R^2*k_1+(M*Ex*Ez+(5/9)*k_1)*R-M*S*Ex*Ez+(5/9)*k_1)*(R-4/3-2*S)*(-1+beta)^2*Ex^2*(R-S)/(((k-9*lambda-9)*beta+9*lambda+9)*(R+4/3)*(R+2)^4*((k-5*lambda-5)*beta+5*lambda+5));
    gRe44 = -(27/280)*k*M^2*(R-4/3-2*S)*(-1+beta)^2*Ex^4*(R-S)^2/(((k-9*lambda-9)*beta+9*lambda+9)*(R+4/3)*(R+2)^4*((k-5*lambda-5)*beta+5*lambda+5));
    gRe50 = -(15/4)*k*M*k_2*(Ex^2-(4/3)*Ez^2)*(R-5/4-2*S)*(-1+beta)^2*(R-S)/(((k-7*lambda-7)*beta+7*lambda+7)*(R+5/4)*((k-11*lambda-11)*beta+11*lambda+11)*(R+2)^2);
    gRe51 = 3*k*M*Ez*k_2*(R-5/4-2*S)*(-1+beta)^2*Ex*(R-S)/(((k-7*lambda-7)*beta+7*lambda+7)*(R+5/4)*((k-11*lambda-11)*beta+11*lambda+11)*(R+2)^2);
    gRe52 = (1/16)*(-1+beta)^2*k_2*(R-S)*(Ex^2-Ez^2)*(4*R-5-8*S)*M*k/((R+5/4)*((k-7*lambda-7)*beta+7*lambda+7)*((k-11*lambda-11)*beta+11*lambda+11)*(R+2)^2);
    gRe53 = -(1/12)*k*M*Ez*k_2*(R-5/4-2*S)*(-1+beta)^2*Ex*(R-S)/(((k-7*lambda-7)*beta+7*lambda+7)*(R+5/4)*((k-11*lambda-11)*beta+11*lambda+11)*(R+2)^2);
    gRe54 = -(1/96)*k*M*k_2*(R-5/4-2*S)*(-1+beta)^2*Ex^2*(R-S)/((R+5/4)*((k-7*lambda-7)*beta+7*lambda+7)*((k-11*lambda-11)*beta+11*lambda+11)*(R+2)^2);
    gRe55 = 0;

% O(ReE) longitudinal drop velocity
   Udz_ReE= -(3/2)*((((216/5)*Ex^2+(48/5)*Ez^2)*lambda^2+((-15*k+714/5)*Ex^2+(252/5)*Ez^2)*lambda+(k^2-29*k+90)*Ex^2+48*Ez^2)*beta^2+((-(432/5)*Ex^2-(96/5)*Ez^2)*lambda^2+((15*k-1428/5)*Ex^2-(504/5)*Ez^2)*lambda+(29*k-180)*Ex^2-96*Ez^2)*beta+((216/5)*Ex^2+(48/5)*Ez^2)*lambda^2+((714/5)*Ex^2+(252/5)*Ez^2)*lambda+90*Ex^2+48*Ez^2)*k_2*M*(R+1-(1/3)*S)*(R-S)*(-1+beta)/(((k-7*lambda-7)*beta+7*lambda+7)*(R+2)^2*(lambda+4)*(R+3/2)*((k-3*lambda-2)*beta+3*lambda+2)^2);

% Shape function Harmonics in order O(CaReE)
LRe20 = (81/14)*((((k-121/15-(173/30)*lambda)*R^2+(((26/15)*k-(121/15)*lambda-94/15)*S+(121/45)*k-(134/9)*lambda-173/9)*R+((20/9)*k-(92/9)*lambda-68/9)*S+(76/45)*k-(80/9)*lambda-92/9)*beta+((173/30)*lambda+121/15)*R^2+(((121/15)*lambda+94/15)*S+(134/9)*lambda+173/9)*R+((92/9)*lambda+68/9)*S+92/9+(80/9)*lambda)*(-1+beta)*(R-S)*M*Ex^4-(((k-121/15-(173/30)*lambda)*R^2+(((26/15)*k-(121/15)*lambda-94/15)*S+(121/45)*k-(134/9)*lambda-173/9)*R+((20/9)*k-(92/9)*lambda-68/9)*S+(76/45)*k-(80/9)*lambda-92/9)*beta+((173/30)*lambda+121/15)*R^2+(((121/15)*lambda+94/15)*S+(134/9)*lambda+173/9)*R+((92/9)*lambda+68/9)*S+92/9+(80/9)*lambda)*(-1+beta)*(R-S)*Ez^2*M*Ex^2+(7/36)*k_1*((((55/2)*lambda^2+(-(21/2)*k+1492/21)*lambda-(851/63)*k+k^2+326/7)*R^2+((95*lambda^2+(-39*k+4058/21)*lambda-(2512/63)*k+4*k^2+664/7)*S+(170/3)*lambda^2+(-23*k+2705/21)*lambda+(7/3)*k^2-(181/7)*k+530/7)*R+((380/3)*lambda^2+(-52*k+1800/7)*lambda+(16/3)*k^2-(3344/63)*k+880/7)*S+(80/3)*lambda^2+(-12*k+940/21)*lambda+120/7+(4/3)*k^2-(652/63)*k)*beta^2+((-55*lambda^2+((21/2)*k-2984/21)*lambda+(851/63)*k-652/7)*R^2+((-190*lambda^2+(39*k-8116/21)*lambda+(2512/63)*k-1328/7)*S-(340/3)*lambda^2+(23*k-5410/21)*lambda+(181/7)*k-1060/7)*R+(-(760/3)*lambda^2+(52*k-3600/7)*lambda+(3344/63)*k-1760/7)*S-(160/3)*lambda^2+(12*k-1880/21)*lambda-240/7+(652/63)*k)*beta+(326/7+(55/2)*lambda^2+(1492/21)*lambda)*R^2+((95*lambda^2+(4058/21)*lambda+664/7)*S+(170/3)*lambda^2+(2705/21)*lambda+530/7)*R+((1800/7)*lambda+(380/3)*lambda^2+880/7)*S+120/7+(80/3)*lambda^2+(940/21)*lambda)*(R+2)^2*Ez*Ex-(2*(((k-121/15-(173/30)*lambda)*R^2+(((26/15)*k-(121/15)*lambda-94/15)*S+(121/45)*k-(134/9)*lambda-173/9)*R+((20/9)*k-(92/9)*lambda-68/9)*S+(76/45)*k-(80/9)*lambda-92/9)*beta+((173/30)*lambda+121/15)*R^2+(((121/15)*lambda+94/15)*S+(134/9)*lambda+173/9)*R+((92/9)*lambda+68/9)*S+92/9+(80/9)*lambda))*(-1+beta)*(R-S)*Ez^4*M)*(R-S)*M/(((k-5*lambda-5)*beta+5*lambda+5)^2*(R+4/3)*(R+2)^5);
LRe21 = -(81/7)*((-(7/216*(((55/2)*lambda^2+(-(21/2)*k+2171/21)*lambda+k^2-(1201/63)*k+648/7)*Ex^2-((55/2)*lambda^2+(-(21/2)*k+454/21)*lambda+k^2-(311/63)*k-158/7)*Ez^2))*k_1*R^4+((((-(665/216)*lambda^2+(-593/81+(91/72)*k)*lambda-104/27+(370/243)*k-(7/54)*k^2)*S-(875/162)*lambda^2+(-4403/216+(455/216)*k)*lambda-1477/81+(7399/1944)*k-(133/648)*k^2)*Ex^2+(7/54*(((95/4)*lambda^2+(-(39/4)*k+1303/42)*lambda+k^2-(394/63)*k+72/7)*S+(125/3)*lambda^2+(-(65/4)*k+263/12)*lambda+(19/12)*k^2-(203/36)*k-269/6))*Ez^2)*k_1+(Ex^2+Ez^2)*(k-121/15-(173/30)*lambda)*Ex*Ez*M)*R^3+((((-(1330/81)*lambda^2+(-3152/81+(182/27)*k)*lambda-1648/81+(656/81)*k-(56/81)*k^2)*S-(3815/324)*lambda^2+(-7211/162+(511/108)*k)*lambda-3212/81+(457/54)*k-(77/162)*k^2)*Ex^2+(56/81*(((95/4)*lambda^2+(-(39/4)*k+437/14)*lambda+k^2-(44/7)*k+74/7)*S+(545/32)*lambda^2+(-(219/32)*k+157/56)*lambda+(11/16)*k^2-(141/112)*k-1357/56))*Ez^2)*k_1+(11/15*(Ex^2+Ez^2))*((k-(69/22)*lambda+27/11)*S+(11/3)*k-(670/33)*lambda-865/33)*Ex*Ez*M)*R^2+((((-(4655/162)*lambda^2+(-5492/81+(637/54)*k)*lambda-2848/81+(1144/81)*k-(98/81)*k^2)*S-(875/81)*lambda^2+(-2195/54+(245/54)*k)*lambda-2900/81+(3863/486)*k-(77/162)*k^2)*Ex^2+(98/81)*Ez^2*(((95/4)*lambda^2+(-(39/4)*k+3083/98)*lambda+k^2-(310/49)*k+536/49)*S+(125/14)*lambda^2+(-(15/4)*k-635/196)*lambda+(11/28)*k^2+(83/588)*k-1675/98))*k_1-(26/15*(Ex^2+Ez^2))*Ex*((k-(121/26)*lambda-47/13)*S^2+((7/26)*k-(35/13)*lambda-175/26)*S-(38/39)*k+(200/39)*lambda+230/39)*Ez*M)*R+(((-(1330/81)*lambda^2+(-1040/27+(182/27)*k)*lambda-1600/81+(1952/243)*k-(56/81)*k^2)*S-(280/81)*lambda^2+(-1030/81+(14/9)*k)*lambda-880/81+(634/243)*k-(14/81)*k^2)*Ex^2+(56/81*(((95/4)*lambda^2+(-(39/4)*k+445/14)*lambda+k^2-(134/21)*k+80/7)*S+5*lambda^2+(-(9/4)*k-165/28)*lambda+(1/4)*k^2+(65/84)*k-185/14))*Ez^2)*k_1-(20/9*(Ex^2+Ez^2))*((k-(23/5)*lambda-17/5)*S+(19/25)*k-4*lambda-23/5)*Ex*Ez*S*M)*beta^2+(-(49/144)*k_1*((-(110/21)*lambda^2+(k-8684/441)*lambda+(2402/1323)*k-864/49)*Ex^2-(-(110/21)*lambda^2+(k-1816/441)*lambda+(622/1323)*k+632/147)*Ez^2)*R^4+(((((665/108)*lambda^2+(1186/81-(91/72)*k)*lambda+208/27-(370/243)*k)*S+(875/81)*lambda^2+(4403/108-(455/216)*k)*lambda+2954/81-(7399/1944)*k)*Ex^2+(91/72*((-(190/39)*lambda^2+(k-5212/819)*lambda+(1576/2457)*k-192/91)*S-(1000/117)*lambda^2+((5/3)*k-526/117)*lambda+(203/351)*k+1076/117))*Ez^2)*k_1-(Ex^2+Ez^2)*Ex*(k-(173/15)*lambda-242/15)*Ez*M)*R^3+(((((2660/81)*lambda^2+(6304/81-(182/27)*k)*lambda+3296/81-(656/81)*k)*S+(3815/162)*lambda^2+(7211/81-(511/108)*k)*lambda+6424/81-(457/54)*k)*Ex^2+(182/27*((-(190/39)*lambda^2+(k-1748/273)*lambda+(176/273)*k-592/273)*S-(545/156)*lambda^2+((73/104)*k-157/273)*lambda+(47/364)*k+1357/273))*Ez^2)*k_1-(11/15*(Ex^2+Ez^2))*Ex*Ez*((k-(69/11)*lambda+54/11)*S+(11/3)*k-(1340/33)*lambda-1730/33)*M)*R^2+(((((4655/81)*lambda^2+(10984/81-(637/54)*k)*lambda+5696/81-(1144/81)*k)*S+(1750/81)*lambda^2+(2195/27-(245/54)*k)*lambda+5800/81-(3863/486)*k)*Ex^2+(637/54*((-(190/39)*lambda^2+(k-12332/1911)*lambda+(1240/1911)*k-4288/1911)*S-(500/273)*lambda^2+((5/13)*k+1270/1911)*lambda-(83/5733)*k+6700/1911))*Ez^2)*k_1+(26/15*((k-(121/13)*lambda-94/13)*S^2+((7/26)*k-(70/13)*lambda-175/13)*S-(38/39)*k+(400/39)*lambda+460/39))*(Ex^2+Ez^2)*Ex*Ez*M)*R+((((2660/81)*lambda^2+(2080/27-(182/27)*k)*lambda+3200/81-(1952/243)*k)*S+(560/81)*lambda^2+(2060/81-(14/9)*k)*lambda+1760/81-(634/243)*k)*Ex^2+(182/27*((-(190/39)*lambda^2+(k-1780/273)*lambda+(536/819)*k-640/273)*S-(40/39)*lambda^2+((3/13)*k+110/91)*lambda-(5/63)*k+740/273))*Ez^2)*k_1+(20/9*(Ex^2+Ez^2))*Ex*((k-(46/5)*lambda-34/5)*S+(19/25)*k-8*lambda-46/5)*Ez*S*M)*beta-(385/432*((lambda^2+(4342/1155)*lambda+1296/385)*Ex^2-(lambda^2+(908/1155)*lambda-316/385)*Ez^2))*k_1*R^4+((((-(593/81)*lambda-(665/216)*lambda^2-104/27)*S-(4403/216)*lambda-1477/81-(875/162)*lambda^2)*Ex^2+(665/216*((lambda^2+(2606/1995)*lambda+288/665)*S+(100/57)*lambda^2+(263/285)*lambda-538/285))*Ez^2)*k_1-(173/30*(Ex^2+Ez^2))*Ex*Ez*(lambda+242/173)*M)*R^3+((((-1648/81-(3152/81)*lambda-(1330/81)*lambda^2)*S-(3815/324)*lambda^2-(7211/162)*lambda-3212/81)*Ex^2+(1330/81)*Ez^2*((lambda^2+(46/35)*lambda+296/665)*S+(109/152)*lambda^2+(157/1330)*lambda-1357/1330))*k_1-(23/10*(Ex^2+Ez^2))*((lambda-18/23)*S+(1340/207)*lambda+1730/207)*Ex*Ez*M)*R^2+((((-2848/81-(4655/162)*lambda^2-(5492/81)*lambda)*S-(875/81)*lambda^2-(2195/54)*lambda-2900/81)*Ex^2+(4655/162*((lambda^2+(6166/4655)*lambda+2144/4655)*S+(50/133)*lambda^2-(127/931)*lambda-670/931))*Ez^2)*k_1+(121/15*(Ex^2+Ez^2))*Ex*Ez*((lambda+94/121)*S^2+((70/121)*lambda+175/121)*S-(400/363)*lambda-460/363)*M)*R+(((-(1330/81)*lambda^2-(1040/27)*lambda-1600/81)*S-880/81-(280/81)*lambda^2-(1030/81)*lambda)*Ex^2+(1330/81*((lambda^2+(178/133)*lambda+64/133)*S+(4/19)*lambda^2-(33/133)*lambda-74/133))*Ez^2)*k_1+(92/9*(Ex^2+Ez^2))*((lambda+17/23)*S+(20/23)*lambda+1)*Ex*Ez*S*M)*(R-S)*M/(((k-5*lambda-5)*beta+5*lambda+5)^2*(R+4/3)*(R+2)^5);
LRe22 = -(81/28)*(R-S)*Ex*(((7/108*((55/2)*lambda^2+(-(21/2)*k+258/7)*lambda+k^2-(157/21)*k+2/7))*k_1*Ez*R^4+(M*Ex*(k-121/15-(173/30)*lambda)*Ez^2+(7/27*(((95/4)*lambda^2+(-(39/4)*k+421/14)*lambda+k^2-(128/21)*k+62/7)*S+(125/3)*lambda^2+(-(65/4)*k+583/12)*lambda+(19/12)*k^2-(121/12)*k-29/6))*k_1*Ez+M*Ex^3*(k-121/15-(173/30)*lambda))*R^3+((11/15*((k-(69/22)*lambda+27/11)*S+(11/3)*k-(670/33)*lambda-865/33))*Ex*M*Ez^2+(112/81*(((95/4)*lambda^2+(-(39/4)*k+211/7)*lambda+k^2-(171/28)*k+251/28)*S+(545/32)*lambda^2+(-(219/32)*k+877/56)*lambda+(11/16)*k^2-(381/112)*k-277/56))*k_1*Ez+(11/15*((k-(69/22)*lambda+27/11)*S+(11/3)*k-(670/33)*lambda-865/33))*Ex^3*M)*R^2+(-(26/15)*Ex*((k-(121/26)*lambda-47/13)*S^2+((7/26)*k-(35/13)*lambda-175/26)*S-(38/39)*k+(200/39)*lambda+230/39)*M*Ez^2+(196/81*(((95/4)*lambda^2+(-(39/4)*k+2963/98)*lambda+k^2-(300/49)*k+446/49)*S+(125/14)*lambda^2+(-(15/4)*k+965/196)*lambda+(11/28)*k^2-(239/196)*k-475/98))*k_1*Ez-(26/15)*Ex^3*((k-(121/26)*lambda-47/13)*S^2+((7/26)*k-(35/13)*lambda-175/26)*S-(38/39)*k+(200/39)*lambda+230/39)*M)*R-(20/9*((k-(23/5)*lambda-17/5)*S+(19/25)*k-4*lambda-23/5))*Ex*S*M*Ez^2+(112/81*(((95/4)*lambda^2+(-(39/4)*k+425/14)*lambda+k^2-(43/7)*k+65/7)*S+5*lambda^2+(-(9/4)*k-5/28)*lambda+(1/4)*k^2-(5/28)*k-65/14))*k_1*Ez-(20/9*((k-(23/5)*lambda-17/5)*S+(19/25)*k-4*lambda-23/5))*Ex^3*S*M)*beta^2+((49/72*(-(110/21)*lambda^2+(k-344/49)*lambda+(314/441)*k-8/147))*k_1*Ez*R^4+(-Ex*(k-(173/15)*lambda-242/15)*M*Ez^2+(91/36)*k_1*((-(190/39)*lambda^2+(k-1684/273)*lambda+(512/819)*k-496/273)*S-(1000/117)*lambda^2+((5/3)*k-1166/117)*lambda+(121/117)*k+116/117)*Ez-Ex^3*(k-(173/15)*lambda-242/15)*M)*R^3+(-(11/15)*Ex*((k-(69/11)*lambda+54/11)*S+(11/3)*k-(1340/33)*lambda-1730/33)*M*Ez^2+(364/27*((-(190/39)*lambda^2+(k-1688/273)*lambda+(57/91)*k-502/273)*S-(545/156)*lambda^2+((73/104)*k-877/273)*lambda+(127/364)*k+277/273))*k_1*Ez-(11/15)*Ex^3*((k-(69/11)*lambda+54/11)*S+(11/3)*k-(1340/33)*lambda-1730/33)*M)*R^2+((26/15*((k-(121/13)*lambda-94/13)*S^2+((7/26)*k-(70/13)*lambda-175/13)*S-(38/39)*k+(400/39)*lambda+460/39))*Ex*M*Ez^2+(637/27*((-(190/39)*lambda^2+(k-11852/1911)*lambda+(400/637)*k-3568/1911)*S-(500/273)*lambda^2+((5/13)*k-1930/1911)*lambda+(239/1911)*k+1900/1911))*k_1*Ez+(26/15*((k-(121/13)*lambda-94/13)*S^2+((7/26)*k-(70/13)*lambda-175/13)*S-(38/39)*k+(400/39)*lambda+460/39))*Ex^3*M)*R+(20/9)*Ex*((k-(46/5)*lambda-34/5)*S+(19/25)*k-8*lambda-46/5)*S*M*Ez^2+(364/27*((-(190/39)*lambda^2+(k-1700/273)*lambda+(172/273)*k-40/21)*S-(40/39)*lambda^2+((3/13)*k+10/273)*lambda+(5/273)*k+20/21))*k_1*Ez+(20/9)*Ex^3*((k-(46/5)*lambda-34/5)*S+(19/25)*k-8*lambda-46/5)*S*M)*beta+(385/216)*k_1*(lambda^2+(516/385)*lambda+4/385)*Ez*R^4+(-(173/30)*Ex*(lambda+242/173)*M*Ez^2+(665/108*((lambda+62/133)*(lambda+4/5)*S+(100/57)*lambda^2+(583/285)*lambda-58/285))*k_1*Ez-(173/30)*Ex^3*(lambda+242/173)*M)*R^3+(-(23/10*((lambda-18/23)*S+(1340/207)*lambda+1730/207))*Ex*M*Ez^2+(2660/81*((lambda^2+(844/665)*lambda+251/665)*S+(109/152)*lambda^2+(877/1330)*lambda-277/1330))*k_1*Ez-(23/10*((lambda-18/23)*S+(1340/207)*lambda+1730/207))*Ex^3*M)*R^2+((121/15)*Ex*((lambda+94/121)*S^2+((70/121)*lambda+175/121)*S-(400/363)*lambda-460/363)*M*Ez^2+(4655/81*((lambda^2+(5926/4655)*lambda+1784/4655)*S+(50/133)*lambda^2+(193/931)*lambda-10/49))*k_1*Ez+(121/15)*Ex^3*((lambda+94/121)*S^2+((70/121)*lambda+175/121)*S-(400/363)*lambda-460/363)*M)*R+(92/9*((lambda+17/23)*S+(20/23)*lambda+1))*Ex*S*M*Ez^2+(2660/81*((lambda^2+(170/133)*lambda+52/133)*S+(4/19)*lambda^2-(1/133)*lambda-26/133))*k_1*Ez+(92/9*((lambda+17/23)*S+(20/23)*lambda+1))*Ex^3*S*M)*M/(((k-5*lambda-5)*beta+5*lambda+5)^2*(R+4/3)*(R+2)^5);
LRe30 = -(1/4)*((((-(22473/50)*Ex^2-(192/25)*Ez^2)*R^2+((-65061/100-(55899/50)*S)*Ex^2+(10104/25*(-737/1684+S))*Ez^2)*R+(-(27837/20)*S-2079/20)*Ex^2+(2556/5*(S-28/71))*Ez^2)*lambda^3+(((-1728987/800+(16941/80)*k)*Ex^2+(203/5)*Ez^2*(839/2030+k))*R^2+(((9957/32+(44679/80)*S)*k-5158119/1600-(3740001/800)*S)*Ex^2-(343/5)*Ez^2*((S-1195/686)*k-(124097/3430)*S+99107/6860))*R+(((22257/32)*S+1755/32)*k-(1859463/320)*S-195741/320)*Ex^2-(177/2*((S-55/59)*k-(20917/590)*S+8141/590))*Ez^2)*lambda^2+((((24453/32)*k-(2199/80)*k^2-232851/80)*Ex^2-(5*(k^2-(2019/50)*k-257/5))*Ez^2)*R^2+(((-(6837/80)*S-6243/160)*k^2+((263163/160)*S+384189/320)*k-(449481/80)*S-680991/160)*Ex^2+((S-25/2)*k^2+(-(3579/10)*S+2397/4)*k+(19561/5)*S-6116/5)*Ez^2)*R+((-(3411/32)*S-177/32)*k^2+(18591/64+(130749/64)*S)*k-22869/32-(223263/32)*S)*Ex^2+(3/2*((S-5)*k^2+(-(615/2)*S+555/2)*k+3293*S-1246))*Ez^2)*lambda+((k^3+(4533/8)*k-(227/4)*k^2-4665/4)*Ex^2-(20*(k^2-(79/10)*k-67/5))*Ez^2)*R^2+(((4*S+5/4)*k^3+(-(545/4)*S-731/8)*k^2+((8103/8)*S+14253/16)*k-(8355/4)*S-13065/8)*Ex^2+(4*((S-25/2)*k^2+(-(167/2)*S+485/4)*k+451*S-89))*Ez^2)*R+(5*S*k^3+(-(1355/8)*S-195/8)*k^2+(3435/16+(20085/16)*S)*k-1575/8-(20745/8)*S)*Ex^2+(6*((S-5)*k^2+(-(143/2)*S+115/2)*k+379*S-140))*Ez^2)*beta^3+((((67419/50)*Ex^2+(576/25)*Ez^2)*R^2+((195183/100+(167697/50)*S)*Ex^2-(30312/25*(-737/1684+S))*Ez^2)*R+((83511/20)*S+6237/20)*Ex^2-(7668/5*(S-28/71))*Ez^2)*lambda^3+(((5186961/800-(16941/40)*k)*Ex^2-(406/5)*Ez^2*(2517/4060+k))*R^2+(((-9957/16-(44679/40)*S)*k+15474357/1600+(11220003/800)*S)*Ex^2+(686/5*((S-1195/686)*k-(372291/6860)*S+297321/13720))*Ez^2)*R+((-(22257/16)*S-1755/16)*k+(5578389/320)*S+587223/320)*Ex^2+(177*((S-55/59)*k-(62751/1180)*S+24423/1180))*Ez^2)*lambda^2+(((-(24453/16)*k+(2199/80)*k^2+698553/80)*Ex^2+5*Ez^2*(k^2-(2019/25)*k-771/5))*R^2+((((6837/80)*S+6243/160)*k^2+(-(263163/80)*S-384189/160)*k+(1348443/80)*S+2042973/160)*Ex^2-((S-25/2)*k^2+(-(3579/5)*S+2397/2)*k+(58683/5)*S-18348/5)*Ez^2)*R+(((3411/32)*S+177/32)*k^2+(-18591/32-(130749/32)*S)*k+68607/32+(669789/32)*S)*Ex^2-(3/2*((S-5)*k^2+(-615*S+555)*k+9879*S-3738))*Ez^2)*lambda+((-(4533/4)*k+(227/4)*k^2+13995/4)*Ex^2+(20*(k^2-(79/5)*k-201/5))*Ez^2)*R^2+((((545/4)*S+731/8)*k^2+(-(8103/4)*S-14253/8)*k+(25065/4)*S+39195/8)*Ex^2-4*Ez^2*((S-25/2)*k^2+(-167*S+485/2)*k+1353*S-267))*R+(((1355/8)*S+195/8)*k^2+(-3435/8-(20085/8)*S)*k+4725/8+(62235/8)*S)*Ex^2-6*Ez^2*((S-5)*k^2+(-143*S+115)*k+1137*S-420))*beta^2+(((-(67419/50)*Ex^2-(576/25)*Ez^2)*R^2+((-195183/100-(167697/50)*S)*Ex^2+(30312/25*(-737/1684+S))*Ez^2)*R+(-(83511/20)*S-6237/20)*Ex^2+(7668/5*(S-28/71))*Ez^2)*lambda^3+(((-5186961/800+(16941/80)*k)*Ex^2+(203/5*(2517/2030+k))*Ez^2)*R^2+(((9957/32+(44679/80)*S)*k-15474357/1600-(11220003/800)*S)*Ex^2-(343/5)*Ez^2*((S-1195/686)*k-(372291/3430)*S+297321/6860))*R+(((22257/32)*S+1755/32)*k-(5578389/320)*S-587223/320)*Ex^2-(177/2*((S-55/59)*k-(62751/590)*S+24423/590))*Ez^2)*lambda^2+(((-698553/80+(24453/32)*k)*Ex^2+Ez^2*(771+(2019/10)*k))*R^2+((((263163/160)*S+384189/320)*k-2042973/160-(1348443/80)*S)*Ex^2-(3579/10*((S-3995/2386)*k-(39122/1193)*S+12232/1193))*Ez^2)*R+((18591/64+(130749/64)*S)*k-(669789/32)*S-68607/32)*Ex^2-(1845/4*((S-37/41)*k-(6586/205)*S+2492/205))*Ez^2)*lambda+(((4533/8)*k-13995/4)*Ex^2+(158*(k+402/79))*Ez^2)*R^2+((((8103/8)*S+14253/16)*k-(25065/4)*S-39195/8)*Ex^2-(334*((S-485/334)*k-(2706/167)*S+534/167))*Ez^2)*R+((3435/16+(20085/16)*S)*k-4725/8-(62235/8)*S)*Ex^2-(429*((S-115/143)*k-(2274/143)*S+840/143))*Ez^2)*beta+(((22473/50)*Ex^2+(192/25)*Ez^2)*R^2+((65061/100+(55899/50)*S)*Ex^2-(10104/25*(-737/1684+S))*Ez^2)*R+((27837/20)*S+2079/20)*Ex^2-(2556/5*(S-28/71))*Ez^2)*lambda^3+(((1728987/800)*Ex^2-(839/50)*Ez^2)*R^2+((5158119/1600+(3740001/800)*S)*Ex^2-(124097/50)*Ez^2*(-99107/248194+S))*R+((1859463/320)*S+195741/320)*Ex^2-(62751/20)*Ez^2*(S-8141/20917))*lambda^2+(((232851/80)*Ex^2-257*Ez^2)*R^2+((680991/160+(449481/80)*S)*Ex^2-(19561/5*(-6116/19561+S))*Ez^2)*R+((223263/32)*S+22869/32)*Ex^2-(9879/2)*Ez^2*(S-14/37))*lambda+((4665/4)*Ex^2-268*Ez^2)*R^2+(((8355/4)*S+13065/8)*Ex^2-(1804*(S-89/451))*Ez^2)*R+(1575/8+(20745/8)*S)*Ex^2+(-2274*S+840)*Ez^2)*(R-S)*k_2*M/((lambda+4)*(R+3/2)*((k-3*lambda-2)*beta+3*lambda+2)*((k-7*lambda-7)*beta+7*lambda+7)^2*(R+2)^2*(R+5/4));
LRe31 = (1/4)*(((-(32013/100)*R^2+(-73341/200-(104319/100)*S)*R-(52137/40)*S+1701/40)*lambda^3+((-2265567/1600+(4677/32)*k)*R^2+((55533/320+(80091/160)*S)*k-(6880941/1600)*S-5057979/3200)*R+(-753/64+(40029/64)*S)*k+154119/640-(3438363/640)*S)*lambda^2+((-305559/160-(3403/160)*k^2+(138949/320)*k)*R^2+((-8311/320-(12529/160)*S)*k^2+(327097/640+(87731/64)*S)*k-(169905/32)*S-645507/320)*R+(51/64-(6263/64)*S)*k^2+((219161/128)*S-5277/128)*k-(424467/64)*S+29967/64)*lambda+((4745/16)*k-6477/8+k^3-(255/8)*k^2)*R^2+((4*S+5/4)*k^3+(-627/16-(861/8)*S)*k^2+((13499/16)*S+10709/32)*k-(16455/8)*S-12777/16)*R+5*S*k^3+(-(2151/16)*S+15/16)*k^2+((33713/32)*S-1485/32)*k+4305/16-(41109/16)*S)*beta^3+(((96039/100)*R^2+(220023/200+(312957/100)*S)*R+(156411/40)*S-5103/40)*lambda^3+((6796701/1600-(4677/16)*k)*R^2+((-55533/160-(80091/80)*S)*k+(20642823/1600)*S+15173937/3200)*R+(753/32-(40029/32)*S)*k-462357/640+(10315089/640)*S)*lambda^2+((916677/160+(3403/160)*k^2-(138949/160)*k)*R^2+((8311/320+(12529/160)*S)*k^2+(-327097/320-(87731/32)*S)*k+(509715/32)*S+1936521/320)*R+(-51/64+(6263/64)*S)*k^2+(-(219161/64)*S+5277/64)*k+(1273401/64)*S-89901/64)*lambda+(-(4745/8)*k+19431/8+(255/8)*k^2)*R^2+((627/16+(861/8)*S)*k^2+(-(13499/8)*S-10709/16)*k+(49365/8)*S+38331/16)*R+((2151/16)*S-15/16)*k^2+(-(33713/16)*S+1485/16)*k-12915/16+(123327/16)*S)*beta^2+((-(96039/100)*R^2+(-220023/200-(312957/100)*S)*R-(156411/40)*S+5103/40)*lambda^3+((-6796701/1600+(4677/32)*k)*R^2+((55533/320+(80091/160)*S)*k-(20642823/1600)*S-15173937/3200)*R+(-753/64+(40029/64)*S)*k+462357/640-(10315089/640)*S)*lambda^2+((-916677/160+(138949/320)*k)*R^2+((327097/640+(87731/64)*S)*k-(509715/32)*S-1936521/320)*R+((219161/128)*S-5277/128)*k-(1273401/64)*S+89901/64)*lambda+((4745/16)*k-19431/8)*R^2+(((13499/16)*S+10709/32)*k-(49365/8)*S-38331/16)*R+((33713/32)*S-1485/32)*k+12915/16-(123327/16)*S)*beta+((32013/100)*R^2+(73341/200+(104319/100)*S)*R+(52137/40)*S-1701/40)*lambda^3+((2265567/1600)*R^2+((6880941/1600)*S+5057979/3200)*R-154119/640+(3438363/640)*S)*lambda^2+((305559/160)*R^2+((169905/32)*S+645507/320)*R+(424467/64)*S-29967/64)*lambda+(6477/8)*R^2+((16455/8)*S+12777/16)*R-4305/16+(41109/16)*S)*(R-S)*Ex*k_2*Ez*M/((lambda+4)*(R+3/2)*((k-3*lambda-2)*beta+3*lambda+2)*((k-7*lambda-7)*beta+7*lambda+7)^2*(R+2)^2*(R+5/4));
LRe32 = (1/24)*((((-(22473/50)*Ex^2+(954/5)*Ez^2)*R^2+((-65061/100-(55899/50)*S)*Ex^2+(4842/5*(23/269+S))*Ez^2)*R+(-(27837/20)*S-2079/20)*Ex^2+(1215*(S-7/45))*Ez^2)*lambda^3+(((-1728987/800+(16941/80)*k)*Ex^2-(2703/20*(-1663/1802+k))*Ez^2)*R^2+(((9957/32+(44679/80)*S)*k-5158119/1600-(3740001/800)*S)*Ex^2-(12549/20*((S+1277/8366)*k-(27709/8366)*S+17629/16732))*Ez^2)*R+(((22257/32)*S+1755/32)*k-(1859463/320)*S-195741/320)*Ex^2-(6291/8)*Ez^2*((S-79/699)*k-(1555/466)*S+1757/1398))*lambda^2+((((24453/32)*k-(2199/80)*k^2-232851/80)*Ex^2+(597/20*(k+2))*(k-1781/398)*Ez^2)*R^2+(((-(6837/80)*S-6243/160)*k^2+((263163/160)*S+384189/320)*k-(449481/80)*S-680991/160)*Ex^2+(2511/20*((S+13/54)*k^2+(-(4025/558)*S+6235/3348)*k+(9817/837)*S-18637/1674))*Ez^2)*R+((-(3411/32)*S-177/32)*k^2+(18591/64+(130749/64)*S)*k-22869/32-(223263/32)*S)*Ex^2+(1257/8*((S-23/419)*k^2+(-(6093/838)*S+2105/838)*k+(5007/419)*S-3423/419))*Ez^2)*lambda+((k^3+(4533/8)*k-(227/4)*k^2-4665/4)*Ex^2-(2*(k^2-(9/2)*k-177/4))*(k-2)*Ez^2)*R^2+(((4*S+5/4)*k^3+(-(545/4)*S-731/8)*k^2+((8103/8)*S+14253/16)*k-(8355/4)*S-13065/8)*Ex^2-(8*((S+5/16)*k^2+(-(75/8)*S+27/16)*k+(345/16)*S-1227/32))*(k-2)*Ez^2)*R+(5*S*k^3+(-(1355/8)*S-195/8)*k^2+(3435/16+(20085/16)*S)*k-1575/8-(20745/8)*S)*Ex^2-(10*(k^2*S+(-(189/20)*S+3)*k+(891/40)*S-189/8))*(k-2)*Ez^2)*beta^3+((((67419/50)*Ex^2-(2862/5)*Ez^2)*R^2+((195183/100+(167697/50)*S)*Ex^2-(14526/5*(23/269+S))*Ez^2)*R+((83511/20)*S+6237/20)*Ex^2-(3645*(S-7/45))*Ez^2)*lambda^3+(((5186961/800-(16941/40)*k)*Ex^2+(2703/10)*Ez^2*(-4989/3604+k))*R^2+(((-9957/16-(44679/40)*S)*k+15474357/1600+(11220003/800)*S)*Ex^2+(12549/10*((S+1277/8366)*k-(83127/16732)*S+52887/33464))*Ez^2)*R+((-(22257/16)*S-1755/16)*k+(5578389/320)*S+587223/320)*Ex^2+(6291/4)*Ez^2*((S-79/699)*k-(4665/932)*S+1757/932))*lambda^2+(((-(24453/16)*k+(2199/80)*k^2+698553/80)*Ex^2-(597/20)*Ez^2*(k^2-(985/199)*k-5343/199))*R^2+((((6837/80)*S+6243/160)*k^2+(-(263163/80)*S-384189/160)*k+(1348443/80)*S+2042973/160)*Ex^2-(2511/20*((S+13/54)*k^2+(-(4025/279)*S+6235/1674)*k+(9817/279)*S-18637/558))*Ez^2)*R+(((3411/32)*S+177/32)*k^2+(-18591/32-(130749/32)*S)*k+68607/32+(669789/32)*S)*Ex^2-(1257/8*((S-23/419)*k^2+(-(6093/419)*S+2105/419)*k+(15021/419)*S-10269/419))*Ez^2)*lambda+((-(4533/4)*k+(227/4)*k^2+13995/4)*Ex^2-(13*(k^2+(141/13)*k-531/13))*Ez^2)*R^2+((((545/4)*S+731/8)*k^2+(-(8103/4)*S-14253/8)*k+(25065/4)*S+39195/8)*Ex^2-(91*((S-17/182)*k^2+(-(645/91)*S+1335/182)*k+(1035/91)*S-3681/182))*Ez^2)*R+(((1355/8)*S+195/8)*k^2+(-3435/8-(20085/8)*S)*k+4725/8+(62235/8)*S)*Ex^2-(229/2)*Ez^2*((S-60/229)*k^2+(-(1647/229)*S+1185/229)*k+(2673/229)*S-2835/229))*beta^2+(((-(67419/50)*Ex^2+(2862/5)*Ez^2)*R^2+((-195183/100-(167697/50)*S)*Ex^2+(14526/5*(23/269+S))*Ez^2)*R+(-(83511/20)*S-6237/20)*Ex^2+(3645*(S-7/45))*Ez^2)*lambda^3+(((-5186961/800+(16941/80)*k)*Ex^2-(2703/20*(-4989/1802+k))*Ez^2)*R^2+(((9957/32+(44679/80)*S)*k-15474357/1600-(11220003/800)*S)*Ex^2-(12549/20*((S+1277/8366)*k-(83127/8366)*S+52887/16732))*Ez^2)*R+(((22257/32)*S+1755/32)*k-(5578389/320)*S-587223/320)*Ex^2-(6291/8*((S-79/699)*k-(4665/466)*S+1757/466))*Ez^2)*lambda^2+(((-698553/80+(24453/32)*k)*Ex^2-(591/8)*Ez^2*(10686/985+k))*R^2+((((263163/160)*S+384189/320)*k-2042973/160-(1348443/80)*S)*Ex^2-(7245/8*((S-1247/4830)*k-(19634/4025)*S+18637/4025))*Ez^2)*R+((18591/64+(130749/64)*S)*k-(669789/32)*S-68607/32)*Ex^2-(18279/16*((S-2105/6093)*k-(3338/677)*S+2282/677))*Ez^2)*lambda+(((4533/8)*k-13995/4)*Ex^2+(141/2*(k-354/47))*Ez^2)*R^2+((((8103/8)*S+14253/16)*k-(25065/4)*S-39195/8)*Ex^2-(645/2*((S-89/86)*k-(138/43)*S+1227/215))*Ez^2)*R+((3435/16+(20085/16)*S)*k-4725/8-(62235/8)*S)*Ex^2-(1647/4*((S-395/549)*k-(198/61)*S+210/61))*Ez^2)*beta+(((22473/50)*Ex^2-(954/5)*Ez^2)*R^2+((65061/100+(55899/50)*S)*Ex^2-(4842/5*(23/269+S))*Ez^2)*R+((27837/20)*S+2079/20)*Ex^2-(1215*(S-7/45))*Ez^2)*lambda^3+(((1728987/800)*Ex^2-(4989/40)*Ez^2)*R^2+((5158119/1600+(3740001/800)*S)*Ex^2-(83127/40*(-17629/55418+S))*Ez^2)*R+((1859463/320)*S+195741/320)*Ex^2-(41985/16*(S-1757/4665))*Ez^2)*lambda^2+(((232851/80)*Ex^2+(5343/20)*Ez^2)*R^2+((680991/160+(449481/80)*S)*Ex^2-(29451/20*(-18637/19634+S))*Ez^2)*R+((223263/32)*S+22869/32)*Ex^2-(15021/8*(S-1141/1669))*Ez^2)*lambda+((4665/4)*Ex^2+177*Ez^2)*R^2+(((8355/4)*S+13065/8)*Ex^2-(345*(S-409/230))*Ez^2)*R+(1575/8+(20745/8)*S)*Ex^2-(891/2*(-35/33+S))*Ez^2)*(R-S)*k_2*M/((lambda+4)*(R+3/2)*((k-3*lambda-2)*beta+3*lambda+2)*((k-7*lambda-7)*beta+7*lambda+7)^2*(R+2)^2*(R+5/4));
LRe33 = -(1/24)*((((811/20)*lambda^2+(14393/320-(2083/160)*k)*lambda-(71/8)*k-43/16+k^2)*R^2+(((3193/20)*S+1427/40)*lambda^2+((73499/320-(8089/160)*k)*S-(4511/320)*k-3779/640)*lambda+(-(293/8)*k+1247/16+4*k^2)*S-(67/16)*k+(5/4)*k^2-1583/32)*R+(-147/8+(1599/8)*S)*lambda^2+((-(4047/64)*k+36957/128)*S+(171/64)*k-9681/128)*lambda+(5*k^2-(735/16)*k+3165/32)*S-1785/32+(135/16)*k)*beta^2+((-(811/10)*lambda^2+(-14393/160+(2083/160)*k)*lambda+(71/8)*k+43/8)*R^2+((-(3193/10)*S-1427/20)*lambda^2+((-73499/160+(8089/160)*k)*S+(4511/320)*k+3779/320)*lambda+((293/8)*k-1247/8)*S+(67/16)*k+1583/16)*R+(147/4-(1599/4)*S)*lambda^2+(((4047/64)*k-36957/64)*S-(171/64)*k+9681/64)*lambda+((735/16)*k-3165/16)*S+1785/16-(135/16)*k)*beta+(-43/16+(811/20)*lambda^2+(14393/320)*lambda)*R^2+(((3193/20)*S+1427/40)*lambda^2+((73499/320)*S-3779/640)*lambda+(1247/16)*S-1583/32)*R+(-147/8+(1599/8)*S)*lambda^2+((36957/128)*S-9681/128)*lambda-1785/32+(3165/32)*S)*(R-S)*Ex*k_2*Ez*M/((lambda+4)*(R+3/2)*((k-7*lambda-7)*beta+7*lambda+7)^2*(R+2)^2*(R+5/4));
LRe40 = -(9/7)*(((k-(99/10)*lambda-54/5)*R+(-(153/5)*S+24/5)*lambda+((18/5)*k-144/5)*S-(2/5)*k+6)*beta+((99/10)*lambda+54/5)*R+((153/5)*S-24/5)*lambda+(144/5)*S-6)*(-1+beta)*(R-S)*M*(-(40/27)*R^2*Ex*Ez*k_1+(M*Ex^4-8*M*Ex^2*Ez^2+(8/3)*M*Ez^4-(160/27)*Ex*Ez*k_1)*R-(Ex^4-8*Ex^2*Ez^2+(8/3)*Ez^4)*M*S-(160/27)*Ex*Ez*k_1)/(((k-5*lambda-5)*beta+5*lambda+5)*(R+4/3)*(R+2)^4*((k-9*lambda-9)*beta+9*lambda+9));
LRe41 = (18/7)*(((k-(99/10)*lambda-54/5)*R+(-(153/5)*S+24/5)*lambda+((18/5)*k-144/5)*S-(2/5)*k+6)*beta+((99/10)*lambda+54/5)*R+((153/5)*S-24/5)*lambda+(144/5)*S-6)*(-1+beta)*(R-S)*((5/36)*R^2*k_1+(M*Ex*Ez+(5/9)*k_1)*R-M*S*Ex*Ez+(5/9)*k_1)*M*(Ex^2-(4/3)*Ez^2)/(((k-5*lambda-5)*beta+5*lambda+5)*(R+4/3)*(R+2)^4*((k-9*lambda-9)*beta+9*lambda+9));
LRe42 = (1/7)*(((k-(99/10)*lambda-54/5)*R+(-(153/5)*S+24/5)*lambda+((18/5)*k-144/5)*S-(2/5)*k+6)*beta+((99/10)*lambda+54/5)*R+((153/5)*S-24/5)*lambda+(144/5)*S-6)*(-1+beta)*(R-S)*Ex*M*(-(10/9)*R^2*Ez*k_1+(M*Ex^3-6*M*Ex*Ez^2-(40/9)*k_1*Ez)*R-M*Ex*(Ex^2-6*Ez^2)*S-(40/9)*k_1*Ez)/(((k-5*lambda-5)*beta+5*lambda+5)*(R+4/3)*(R+2)^4*((k-9*lambda-9)*beta+9*lambda+9));
LRe43 = -(1/7)*(((k-(99/10)*lambda-54/5)*R+(-(153/5)*S+24/5)*lambda+((18/5)*k-144/5)*S-(2/5)*k+6)*beta+((99/10)*lambda+54/5)*R+((153/5)*S-24/5)*lambda+(144/5)*S-6)*(-1+beta)*(R-S)*Ex^2*((5/36)*R^2*k_1+(M*Ex*Ez+(5/9)*k_1)*R-M*S*Ex*Ez+(5/9)*k_1)*M/(((k-5*lambda-5)*beta+5*lambda+5)*(R+4/3)*(R+2)^4*((k-9*lambda-9)*beta+9*lambda+9));
LRe44 = -(1/56)*(((-(99/10)*R-(153/5)*S+24/5)*lambda+(k-54/5)*R+((18/5)*k-144/5)*S-(2/5)*k+6)*beta+((99/10)*R+(153/5)*S-24/5)*lambda+(54/5)*R+(144/5)*S-6)*(-1+beta)*(R-S)^2*Ex^4*M^2/(((k-5*lambda-5)*beta+5*lambda+5)*(R+4/3)*(R+2)^4*((k-9*lambda-9)*beta+9*lambda+9));
LRe50 = -(255/448)*(-1+beta)*(R-S)*k_2*(((-(203/17)*R-(584/17)*S+130/17)*lambda+(k-215/17)*R+((56/17)*k-560/17)*S-(10/17)*k+145/17)*beta+((203/17)*R+(584/17)*S-130/17)*lambda+(215/17)*R+(560/17)*S-145/17)*M*(Ex^2-(4/3)*Ez^2)/(((k-11*lambda-11)*beta+11*lambda+11)*((k-7*lambda-7)*beta+7*lambda+7)*(R+2)^2*(R+5/4));
LRe51 = (51/112)*(-1+beta)*(R-S)*Ex*k_2*(((-(203/17)*R-(584/17)*S+130/17)*lambda+(k-215/17)*R+((56/17)*k-560/17)*S-(10/17)*k+145/17)*beta+((203/17)*R+(584/17)*S-130/17)*lambda+(215/17)*R+(560/17)*S-145/17)*Ez*M/(((k-11*lambda-11)*beta+11*lambda+11)*((k-7*lambda-7)*beta+7*lambda+7)*(R+2)^2*(R+5/4));
LRe52 = (17/448)*(Ex-Ez)*(Ex+Ez)*(-1+beta)*(R-S)*k_2*(((-(203/17)*R-(584/17)*S+130/17)*lambda+(k-215/17)*R+((56/17)*k-560/17)*S-(10/17)*k+145/17)*beta+((203/17)*R+(584/17)*S-130/17)*lambda+(215/17)*R+(560/17)*S-145/17)*M/(((k-11*lambda-11)*beta+11*lambda+11)*((k-7*lambda-7)*beta+7*lambda+7)*(R+2)^2*(R+5/4));
LRe53 = -(17/1344)*(-1+beta)*(R-S)*Ex*k_2*(((-(203/17)*R-(584/17)*S+130/17)*lambda+(k-215/17)*R+((56/17)*k-560/17)*S-(10/17)*k+145/17)*beta+((203/17)*R+(584/17)*S-130/17)*lambda+(215/17)*R+(560/17)*S-145/17)*Ez*M/(((k-11*lambda-11)*beta+11*lambda+11)*((k-7*lambda-7)*beta+7*lambda+7)*(R+2)^2*(R+5/4));
LRe54 = -(17/10752)*(-1+beta)*(R-S)*Ex^2*(((-(203/17)*R-(584/17)*S+130/17)*lambda+(k-215/17)*R+((56/17)*k-560/17)*S-(10/17)*k+145/17)*beta+((203/17)*R+(584/17)*S-130/17)*lambda+(215/17)*R+(560/17)*S-145/17)*k_2*M/(((k-11*lambda-11)*beta+11*lambda+11)*((k-7*lambda-7)*beta+7*lambda+7)*(R+2)^2*(R+5/4));
LRe55 = 0;

% O(Ca) surface charge density
qs_Ca= -(18*(sin(theta)*(-(5/2)*L32*Ez*(S-1)*(R+3/2)*sin(theta)^3+Ex*((5*(R+(1/2)*S-3/2))*L32*cos(theta)+L22*(R-1))*(R+3/2)*cos(phi)*sin(theta)^2+(-(15/2)*L32*Ez*(R+3/2)*(R-(2/3)*S-1/3)*cos(theta)^2-((Ex*L21+Ez*L22)*R-S*Ez*L22-Ex*L21)*(R+3/2)*cos(theta)+(5/7*(R-1))*L32*(R+(5/2)*S+21/4)*Ez)*sin(theta)-Ex*(5*cos(theta)*L32+L22)*(S-1)*cos(theta)^2*(R+3/2)*cos(phi))*(R+2)*cos(2*phi)-sin(theta)*Ex*sin(phi)*(5*cos(theta)*L32+L22)*(R+2)*(S-1)*(R+3/2)*sin(2*phi)-((25/4)*cos(theta)*L32+L22)*sin(theta)^3*Ex*(R-1)*(R+2)*(R+3/2)*cos(3*phi)-(1/2)*Ez*L21*(R+2)*(S-1)*(R+3/2)*cos(phi)*sin(theta)^3+(-(5/4)*Ez*L30*(S-1)*cos(theta)^2+(Ex*L21*(R+(1/2)*S-3/2)*cos(phi)^2-(1/2)*Ez*L20*(S-1))*cos(theta)+(1/4)*Ez*L30*(S-1))*(R+2)*(R+3/2)*sin(theta)^2+((25/4*((L32-(1/5)*L30)*R+(1/5)*S*L30-L32))*Ex*(R+2)*(R+3/2)*cos(theta)^3+(R+2)*(((L22-(1/2)*L20)*Ex-Ez*L21)*R+((1/2)*S*L20-L22)*Ex+(1/2)*Ez*L21*(S+1))*(R+3/2)*cos(theta)^2-(135/28*((L32-(17/135)*L30)*R^2+((-(20/27)*L32+(17/135)*L30)*S-(11/18)*L32-(1/270)*L30)*R+((20/27)*L32+(1/270)*L30)*S-(7/18)*L32))*Ex*(R+2)*cos(theta)-(3/5*(R-1))*(((L22-(1/6)*L20)*Ex-(1/3)*Ez*L21)*R-(L22-(1/6)*L20)*S*Ex-(1/2)*L21*(S+10/3)*Ez)*(R+3/2))*cos(phi)*sin(theta)-(5/4)*L30*(R-1)*Ez*(R+2)*(R+3/2)*cos(theta)^4+(R+2)*(R+3/2)*(-(1/2)*Ex*L21*(S-1)*cos(phi)^2+(R-1)*(Ex*L21-(1/2)*Ez*L20))*cos(theta)^3+(27/28)*L30*(R+(5/9)*S+7/3)*(R-1)*Ez*(R+2)*cos(theta)^2-(4/5*((5/8)*Ex*L21*(S-1)*(R+2)*sin(phi)^2+(R-1)*((Ex*L21-(3/8)*Ez*L20)*R-(3/8*(S-10/3))*L21*Ex-(1/4)*Ez*L20*(S+5))))*(R+3/2)*cos(theta)-(1/14)*L30*(R-1)*(R+(5/2)*S+21/4)*Ez*(R+2)))/((R+2)^2*(R+3/2));

% O(Ca) cross-stream drop velocity
Udx_CA(i2) = (1/4)*((-132*k_1*(R+2)^2*(R+3/2)*lambda^5+(((672/5)*k_1*k+1440*M*Ex*Ez+828*k_1)*R^3+((3696/5)*k_1*k+(22572/5)*M*Ex*Ez+4554*k_1)*R^2+(1344*k_1*k-(26172/5)*M*Ez*(S-828/727)*Ex+8280*k_1)*R+(4032/5)*k_1*k-(44208/5)*M*Ez*(S-75/307)*Ex+4968*k_1)*lambda^4+((-(394/15)*k_1*k^2+(-(3263/15)*k_1-894*M*Ex*Ez)*k+5820*M*Ex*Ez+(14654/3)*k_1)*R^3+(-(2167/15)*k_1*k^2+(-(35893/30)*k_1-2655*M*Ex*Ez)*k+(74394/5)*M*Ex*Ez+(80597/3)*k_1)*R^2+(-(788/3)*k_1*k^2+(3102*M*Ez*(S-1181/1034)*Ex-(6526/3)*k_1)*k-(88944/5)*M*Ez*(S-17961/14824)*Ex+(146540/3)*k_1)*R-(788/5)*k_1*k^2+(5331*M*(S-447/1777)*Ez*Ex-(6526/5)*k_1)*k-(165966/5)*M*Ez*(S-7275/27661)*Ex+29308*k_1)*lambda^3+((-(8/45)*k_1*k^3+((3221/30)*k_1+(1031/5)*M*Ex*Ez)*k^2+(-(67171/45)*k_1-2516*M*Ex*Ez)*k+6540*M*Ex*Ez+(12584/3)*k_1)*R^3+(-(44/45)*k_1*k^3+((35431/60)*k_1+(6183/10)*M*Ex*Ez)*k^2+(-(738881/90)*k_1-5196*M*Ex*Ez)*k+(26946/5)*M*Ex*Ez+(69212/3)*k_1)*R^2+(-(16/9)*k_1*k^3+(-(3607/5)*M*Ez*(S-8157/7214)*Ex+(3221/3)*k_1)*k^2+(6454*M*Ez*(S-8553/6454)*Ex-(134342/9)*k_1)*k-(43296/5)*M*Ez*(S-639/451)*Ex+(125840/3)*k_1)*R-(16/15)*k_1*k^3+(-(12281/10)*M*Ez*(S-3093/12281)*Ex+(3221/5)*k_1)*k^2+(13585*M*Ez*(S-3774/13585)*Ex-(134342/15)*k_1)*k-(126744/5)*M*Ez*(S-8175/21124)*Ex+25168*k_1)*lambda^2+(((2/9)*k_1*k^4+(-(351/10)*k_1-22*M*Ex*Ez)*k^3+((6127/30)*k_1+(1634/5)*M*Ex*Ez)*k^2+(-(8858/45)*k_1-1606*M*Ex*Ez)*k+1380*M*Ex*Ez-(3686/3)*k_1)*R^3+((11/9)*k_1*k^4+(-(3861/20)*k_1-96*M*Ex*Ez)*k^3+((67397/60)*k_1+(1416/5)*M*Ex*Ez)*k^2+(-(48719/45)*k_1+2271*M*Ex*Ez)*k-(60462/5)*M*Ex*Ez-(20273/3)*k_1)*R^2+((20/9)*k_1*k^4+(107*M*Ez*(S-253/214)*Ex-351*k_1)*k^3+(-(2233/5)*M*Ez*(S-7303/4466)*Ex+(6127/3)*k_1)*k^2+(-1468*M*Ez*(S-63/734)*Ex-(17716/9)*k_1)*k+(57012/5)*M*Ez*(S-8853/9502)*Ex-(36860/3)*k_1)*R+(4/3)*k_1*k^4+((341/2)*M*Ez*(S-6/31)*Ex-(1053/5)*k_1)*k^3+(-(13839/10)*M*Ez*(S-1634/4613)*Ex+(6127/5)*k_1)*k^2+(3086*M*Ez*(S-2409/3086)*Ex-(17716/15)*k_1)*k+(39318/5)*M*Ez*(S+1725/6553)*Ex-7372*k_1)*lambda+(((28/9)*k_1+M*Ex*Ez)*k^4+(-(56/3)*k_1-12*M*Ex*Ez)*k^3+(-(196/3)*k_1+63*M*Ex*Ez)*k^2+((6904/9)*k_1+16*M*Ex*Ez)*k-780*M*Ex*Ez-(4640/3)*k_1)*R^3+(((154/9)*k_1+(15/2)*M*Ex*Ez)*k^4+(-(308/3)*k_1+6*M*Ex*Ez)*k^3+(-(1078/3)*k_1-(1455/2)*M*Ex*Ez)*k^2+((37972/9)*k_1+4200*M*Ex*Ez)*k-(25520/3)*k_1-7290*M*Ex*Ez)*R^2+((-8*M*Ez*(S-5/4)*Ex+(280/9)*k_1)*k^4+(-(560/3)*k_1-16*M*Ex*Ez)*k^3+(696*M*Ez*(S-325/348)*Ex-(1960/3)*k_1)*k^2+(-4208*M*Ez*(S-525/526)*Ex+(69040/9)*k_1)*k+7680*M*(S-63/64)*Ez*Ex-(46400/3)*k_1)*R+(-12*M*Ez*(S-1/8)*Ex+(56/3)*k_1)*k^4+(40*M*Ez*(S-9/20)*Ex-112*k_1)*k^3+(524*M*Ez*(S+189/1048)*Ex-392*k_1)*k^2+(-4232*M*Ez*(S-3/529)*Ex+(13808/3)*k_1)*k+9120*M*Ez*(S-39/304)*Ex-9280*k_1)*beta^4+(528*k_1*(R+2)^2*(R+3/2)*lambda^5+((-(2016/5)*k_1*k-5760*M*Ex*Ez-3312*k_1)*R^3+(-(11088/5)*k_1*k-(90288/5)*M*Ex*Ez-18216*k_1)*R^2+(-4032*k_1*k+(104688/5)*M*Ez*(S-828/727)*Ex-33120*k_1)*R-(12096/5)*k_1*k+(176832/5)*M*Ez*(S-75/307)*Ex-19872*k_1)*lambda^4+(((146/5)*k_1*k^2+((3263/5)*k_1+2682*M*Ex*Ez)*k-23280*M*Ex*Ez-(58616/3)*k_1)*R^3+((803/5)*k_1*k^2+((35893/10)*k_1+7965*M*Ex*Ez)*k-(297576/5)*M*Ex*Ez-(322388/3)*k_1)*R^2+(292*k_1*k^2+(-9306*M*Ez*(S-1181/1034)*Ex+6526*k_1)*k+(355776/5)*M*Ez*(S-17961/14824)*Ex-(586160/3)*k_1)*R+(876/5)*k_1*k^2+(-15993*M*(S-447/1777)*Ez*Ex+(19578/5)*k_1)*k+(663864/5)*M*Ez*(S-7275/27661)*Ex-117232*k_1)*lambda^3+(((368/45)*k_1*k^3+(-(5491/15)*k_1-(2062/5)*M*Ex*Ez)*k^2+((67171/15)*k_1+7548*M*Ex*Ez)*k-26160*M*Ex*Ez-(50336/3)*k_1)*R^3+((2024/45)*k_1*k^3+(-(60401/30)*k_1-(6387/5)*M*Ex*Ez)*k^2+((738881/30)*k_1+15588*M*Ex*Ez)*k-(107784/5)*M*Ex*Ez-(276848/3)*k_1)*R^2+((736/9)*k_1*k^3+((7418/5)*M*Ez*(S-8463/7418)*Ex-(10982/3)*k_1)*k^2+(-19362*M*Ez*(S-8553/6454)*Ex+(134342/3)*k_1)*k+(173184/5)*M*Ez*(S-639/451)*Ex-(503360/3)*k_1)*R+(736/15)*k_1*k^3+((12587/5)*M*Ez*(S-3093/12587)*Ex-(10982/5)*k_1)*k^2+(-40755*M*Ez*(S-3774/13585)*Ex+(134342/5)*k_1)*k+(506976/5)*M*Ez*(S-8175/21124)*Ex-100672*k_1)*lambda^2+((-(2/3)*k_1*k^4+((7559/90)*k_1+22*M*Ex*Ez)*k^3+(-(26921/45)*k_1-(3268/5)*M*Ex*Ez)*k^2+((8858/15)*k_1+4818*M*Ex*Ez)*k-5520*M*Ex*Ez+(14744/3)*k_1)*R^3+(-(11/3)*k_1*k^4+((83149/180)*k_1+128*M*Ex*Ez)*k^3+(-(296131/90)*k_1-(2468/5)*M*Ex*Ez)*k^2+((48719/15)*k_1-6813*M*Ex*Ez)*k+(241848/5)*M*Ex*Ez+(81092/3)*k_1)*R^2+(-(20/3)*k_1*k^4+(-139*M*Ez*(S-349/278)*Ex+(7559/9)*k_1)*k^3+((4102/5)*M*Ez*(S-6757/4102)*Ex-(53842/9)*k_1)*k^2+(4404*M*Ez*(S-63/734)*Ex+(17716/3)*k_1)*k-(228048/5)*M*Ez*(S-8853/9502)*Ex+(147440/3)*k_1)*R-4*k_1*k^4+(-(437/2)*M*Ez*(S-66/437)*Ex+(7559/15)*k_1)*k^3+((13293/5)*M*Ez*(S-1634/4431)*Ex-(53842/15)*k_1)*k^2+(-9258*M*Ez*(S-2409/3086)*Ex+(17716/5)*k_1)*k-(157272/5)*M*Ez*(S+1725/6553)*Ex+29488*k_1)*lambda+(-(34/9)*k_1*k^4+((466/9)*k_1+12*M*Ex*Ez)*k^3+((596/9)*k_1-126*M*Ex*Ez)*k^2+(-(6904/3)*k_1-48*M*Ex*Ez)*k+3120*M*Ex*Ez+(18560/3)*k_1)*R^3+((-(187/9)*k_1-4*M*Ex*Ez)*k^4+((2563/9)*k_1-2*M*Ex*Ez)*k^3+((3278/9)*k_1+1559*M*Ex*Ez)*k^2+(-(37972/3)*k_1-12600*M*Ex*Ez)*k+(102080/3)*k_1+29160*M*Ex*Ez)*R^2+((4*M*Ez*(-3/2+S)*Ex-(340/9)*k_1)*k^4+(-4*M*Ez*(S-11/2)*Ex+(4660/9)*k_1)*k^3+(-1496*M*Ez*(S-182/187)*Ex+(5960/9)*k_1)*k^2+(12624*M*Ez*(S-525/526)*Ex-(69040/3)*k_1)*k-30720*M*(S-63/64)*Ez*Ex+(185600/3)*k_1)*R+(-(68/3)*k_1+6*M*S*Ex*Ez)*k^4+(-46*M*Ez*(S-9/23)*Ex+(932/3)*k_1)*k^3+(-1204*M*Ez*(S+27/172)*Ex+(1192/3)*k_1)*k^2+(12696*M*Ez*(S-3/529)*Ex-13808*k_1)*k-36480*M*Ez*(S-39/304)*Ex+37120*k_1)*beta^3+(-792*k_1*(R+2)^2*(R+3/2)*lambda^5+(((2016/5)*k_1*k+8640*M*Ex*Ez+4968*k_1)*R^3+((11088/5)*k_1*k+(135432/5)*M*Ex*Ez+27324*k_1)*R^2+(4032*k_1*k-(157032/5)*M*Ez*(S-828/727)*Ex+49680*k_1)*R+(12096/5)*k_1*k-(265248/5)*M*Ez*(S-75/307)*Ex+29808*k_1)*lambda^4+(((102/5)*k_1*k^2+(-(3263/5)*k_1-2682*M*Ex*Ez)*k+34920*M*Ex*Ez+29308*k_1)*R^3+((561/5)*k_1*k^2+(-(35893/10)*k_1-7965*M*Ex*Ez)*k+(446364/5)*M*Ex*Ez+161194*k_1)*R^2+(204*k_1*k^2+(9306*M*Ez*(S-1181/1034)*Ex-6526*k_1)*k-(533664/5)*M*Ez*(S-17961/14824)*Ex+293080*k_1)*R+(612/5)*k_1*k^2+(15993*M*(S-447/1777)*Ez*Ex-(19578/5)*k_1)*k-(995796/5)*M*Ez*(S-7275/27661)*Ex+175848*k_1)*lambda^3+((-8*k_1*k^3+((12301/30)*k_1+(1031/5)*M*Ex*Ez)*k^2+(-(67171/15)*k_1-7548*M*Ex*Ez)*k+39240*M*Ex*Ez+25168*k_1)*R^3+(-44*k_1*k^3+((135311/60)*k_1+(6999/10)*M*Ex*Ez)*k^2+(-(738881/30)*k_1-15588*M*Ex*Ez)*k+(161676/5)*M*Ex*Ez+138424*k_1)*R^2+(-80*k_1*k^3+(-803*M*Ez*(S-9381/8030)*Ex+(12301/3)*k_1)*k^2+(19362*M*Ez*(S-8553/6454)*Ex-(134342/3)*k_1)*k-(259776/5)*M*Ez*(S-639/451)*Ex+251680*k_1)*R-48*k_1*k^3+(-(2701/2)*M*Ez*(S-3093/13505)*Ex+(12301/5)*k_1)*k^2+(40755*M*Ez*(S-3774/13585)*Ex-(134342/5)*k_1)*k-(760464/5)*M*Ez*(S-8175/21124)*Ex+151008*k_1)*lambda^2+((-(440/9)*k_1*k^3+((52541/90)*k_1+(1634/5)*M*Ex*Ez)*k^2+(-(8858/15)*k_1-4818*M*Ex*Ez)*k+8280*M*Ex*Ez-7372*k_1)*R^3+((-(2420/9)*k_1-32*M*Ex*Ez)*k^3+((577951/180)*k_1+(688/5)*M*Ex*Ez)*k^2+(-(48719/15)*k_1+6813*M*Ex*Ez)*k-(362772/5)*M*Ex*Ez-40546*k_1)*R^2+((32*M*Ez*(-3/2+S)*Ex-(4400/9)*k_1)*k^3+(-301*M*Ez*(S-5119/3010)*Ex+(52541/9)*k_1)*k^2+(-4404*M*Ez*(S-63/734)*Ex-(17716/3)*k_1)*k+(342072/5)*M*Ez*(S-8853/9502)*Ex-73720*k_1)*R+(-(880/3)*k_1+48*M*S*Ex*Ez)*k^3+(-(2331/2)*M*Ez*(S-1634/3885)*Ex+(52541/15)*k_1)*k^2+(9258*M*Ez*(S-2409/3086)*Ex-(17716/5)*k_1)*k+(235908/5)*M*Ez*(S+1725/6553)*Ex-44232*k_1)*lambda+(-(298/9)*k_1*k^3+((572/9)*k_1+63*M*Ex*Ez)*k^2+((6904/3)*k_1+48*M*Ex*Ez)*k-4680*M*Ex*Ez-9280*k_1)*R^3+((-(1639/9)*k_1-4*M*Ex*Ez)*k^3+((3146/9)*k_1-(1871/2)*M*Ex*Ez)*k^2+((37972/3)*k_1+12600*M*Ex*Ez)*k-43740*M*Ex*Ez-51040*k_1)*R^2+((4*M*Ez*(-3/2+S)*Ex-(2980/9)*k_1)*k^3+(904*M*Ez*(S-481/452)*Ex+(5720/9)*k_1)*k^2+(-12624*M*Ez*(S-525/526)*Ex+(69040/3)*k_1)*k+46080*M*(S-63/64)*Ez*Ex-92800*k_1)*R+(-(596/3)*k_1+6*M*S*Ex*Ez)*k^3+(836*M*Ez*(S+189/1672)*Ex+(1144/3)*k_1)*k^2+(-12696*M*Ez*(S-3/529)*Ex+13808*k_1)*k+54720*M*Ez*(S-39/304)*Ex-55680*k_1)*beta^2+(528*k_1*(R+2)^2*(R+3/2)*lambda^5+((-5760*M*Ex*Ez-3312*k_1-(672/5)*k_1*k)*R^3+(-(3696/5)*k_1*k-(90288/5)*M*Ex*Ez-18216*k_1)*R^2+(-1344*k_1*k+(104688/5)*M*Ez*(S-828/727)*Ex-33120*k_1)*R-(4032/5)*k_1*k+(176832/5)*M*Ez*(S-75/307)*Ex-19872*k_1)*lambda^4+((-(70/3)*k_1*k^2+(894*M*Ex*Ez+(3263/15)*k_1)*k-23280*M*Ex*Ez-(58616/3)*k_1)*R^3+(-(385/3)*k_1*k^2+((35893/30)*k_1+2655*M*Ex*Ez)*k-(297576/5)*M*Ex*Ez-(322388/3)*k_1)*R^2+(-(700/3)*k_1*k^2+(-3102*M*Ez*(S-1181/1034)*Ex+(6526/3)*k_1)*k+(355776/5)*M*Ez*(S-17961/14824)*Ex-(586160/3)*k_1)*R-140*k_1*k^2+(-5331*M*(S-447/1777)*Ez*Ex+(6526/5)*k_1)*k+(663864/5)*M*Ez*(S-7275/27661)*Ex-117232*k_1)*lambda^3+((-(454/3)*k_1*k^2+(2516*M*Ex*Ez+(67171/45)*k_1)*k-26160*M*Ex*Ez-(50336/3)*k_1)*R^3+((-(2497/3)*k_1-(204/5)*M*Ex*Ez)*k^2+((738881/90)*k_1+5196*M*Ex*Ez)*k-(107784/5)*M*Ex*Ez-(276848/3)*k_1)*R^2+(((204/5)*M*Ez*(-3/2+S)*Ex-(4540/3)*k_1)*k^2+(-6454*M*Ez*(S-8553/6454)*Ex+(134342/9)*k_1)*k+(173184/5)*M*Ez*(S-639/451)*Ex-(503360/3)*k_1)*R+(-908*k_1+(306/5)*M*S*Ex*Ez)*k^2+(-13585*M*Ez*(S-3774/13585)*Ex+(134342/15)*k_1)*k+(506976/5)*M*Ez*(S-8175/21124)*Ex-100672*k_1)*lambda^2+((-(1708/9)*k_1*k^2+(1606*M*Ex*Ez+(8858/45)*k_1)*k-5520*M*Ex*Ez+(14744/3)*k_1)*R^3+((-(9394/9)*k_1+(364/5)*M*Ex*Ez)*k^2+((48719/45)*k_1-2271*M*Ex*Ez)*k+(241848/5)*M*Ex*Ez+(81092/3)*k_1)*R^2+((-(364/5)*M*Ez*(-3/2+S)*Ex-(17080/9)*k_1)*k^2+(1468*M*Ez*(S-63/734)*Ex+(17716/9)*k_1)*k-(228048/5)*M*Ez*(S-8853/9502)*Ex+(147440/3)*k_1)*R+(-(3416/3)*k_1-(546/5)*M*S*Ex*Ez)*k^2+(-3086*M*Ez*(S-2409/3086)*Ex+(17716/15)*k_1)*k-(157272/5)*M*Ez*(S+1725/6553)*Ex+29488*k_1)*lambda+(-(580/9)*k_1*k^2+(-(6904/9)*k_1-16*M*Ex*Ez)*k+3120*M*Ex*Ez+(18560/3)*k_1)*R^3+((-(3190/9)*k_1+104*M*Ex*Ez)*k^2+(-(37972/9)*k_1-4200*M*Ex*Ez)*k+(102080/3)*k_1+29160*M*Ex*Ez)*R^2+((-104*M*Ez*(-3/2+S)*Ex-(5800/9)*k_1)*k^2+(4208*M*Ez*(S-525/526)*Ex-(69040/9)*k_1)*k-30720*M*(S-63/64)*Ez*Ex+(185600/3)*k_1)*R+(-(1160/3)*k_1-156*M*S*Ex*Ez)*k^2+(4232*M*Ez*(S-3/529)*Ex-(13808/3)*k_1)*k-36480*M*Ez*(S-39/304)*Ex+37120*k_1)*beta-132*k_1*(R+2)^2*(R+3/2)*lambda^5+((1440*M*Ex*Ez+828*k_1)*R^3+((22572/5)*M*Ex*Ez+4554*k_1)*R^2+(-(26172/5)*M*Ez*(S-828/727)*Ex+8280*k_1)*R-(44208/5)*M*Ez*(S-75/307)*Ex+4968*k_1)*lambda^4+((5820*M*Ex*Ez+(14654/3)*k_1)*R^3+((74394/5)*M*Ex*Ez+(80597/3)*k_1)*R^2+(-(88944/5)*M*Ez*(S-17961/14824)*Ex+(146540/3)*k_1)*R-(165966/5)*M*Ez*(S-7275/27661)*Ex+29308*k_1)*lambda^3+((6540*M*Ex*Ez+(12584/3)*k_1)*R^3+((26946/5)*M*Ex*Ez+(69212/3)*k_1)*R^2+(-(43296/5)*M*Ez*(S-639/451)*Ex+(125840/3)*k_1)*R-(126744/5)*M*Ez*(S-8175/21124)*Ex+25168*k_1)*lambda^2+((1380*M*Ex*Ez-(3686/3)*k_1)*R^3+(-(60462/5)*M*Ex*Ez-(20273/3)*k_1)*R^2+((57012/5)*M*Ez*(S-8853/9502)*Ex-(36860/3)*k_1)*R+(39318/5)*M*Ez*(S+1725/6553)*Ex-7372*k_1)*lambda+(-780*M*Ex*Ez-(4640/3)*k_1)*R^3+(-(25520/3)*k_1-7290*M*Ex*Ez)*R^2+(7680*M*(S-63/64)*Ez*Ex-(46400/3)*k_1)*R+9120*M*Ez*(S-39/304)*Ex-9280*k_1)*k_2/(((k-5*lambda-5)*beta+5*lambda+5)*(lambda+4)*(R+2)^2*((k-3*lambda-2)*beta+3*lambda+2)^2*(R+3/2)*((k-7*lambda-7)*beta+7*lambda+7));

%O(Ca) longitudinal drop velocity
Udz_CA(i2)= (7/20)*M*(((315*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(R+3/2)*(R^2+(9/5)*R-(19/5)*S+1)*lambda^5+((((-318*Ex^2-(318/7)*Ez^2)*k_2+(2862/7)*k_0*(Ex^2-2*Ez^2))*k+((12000/7)*Ex^2+(2550/7)*Ez^2)*k_2-2970*k_0*(Ex^2-2*Ez^2))*R^3+(((-1062*Ex^2-(1062/7)*Ez^2)*k_2+(9558/7)*k_0*(Ex^2-2*Ez^2))*k+((37683/7)*Ex^2+(17343/14)*Ez^2)*k_2-9558*k_0*(Ex^2-2*Ez^2))*R^2+((1221*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(S-797/814)*k+((-(43683/7)*S+87999/14)*Ex^2-(19893/14)*Ez^2*(S-5309/6631))*k_2+11043*k_0*(S-787/818)*(Ex^2-2*Ez^2))*R+(3663/2*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(S-106/407)*k+((-(135999/14)*S+18000/7)*Ex^2-(26127/14)*Ez^2*(S-850/2903))*k_2+(33129/2)*k_0*(S-110/409)*(Ex^2-2*Ez^2))*lambda^4+((((116*Ex^2+(116/7)*Ez^2)*k_2-(1044/7)*k_0*(Ex^2-2*Ez^2))*k^2+((-(11394/7)*Ex^2-261*Ez^2)*k_2+(18756/7)*k_0*(Ex^2-2*Ez^2))*k+((27465/7)*Ex^2+(4995/7)*Ez^2)*k_2-7065*k_0*(Ex^2-2*Ez^2))*R^3+(((393*Ex^2+(393/7)*Ez^2)*k_2-(3537/7)*k_0*(Ex^2-2*Ez^2))*k^2+((-(36039/7)*Ex^2-(6627/7)*Ez^2)*k_2+8748*k_0*(Ex^2-2*Ez^2))*k+((152199/14)*Ex^2+(21636/7)*Ez^2)*k_2-(43551/2)*k_0*(Ex^2-2*Ez^2))*R^2+(-(451*(S-889/902))*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2))*k^2+((((41736/7)*S-41511/7)*Ex^2+(15081/14)*Ez^2*(S-387/457))*k_2-(70614/7*(S-7601/7846))*k_0*(Ex^2-2*Ez^2))*k+((-(89832/7)*S+96093/7)*Ex^2-(48267/14*(S-3112/5363))*Ez^2)*k_2+25308*k_0*(S-662/703)*(Ex^2-2*Ez^2))*R-(1353/2*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(S-116/451)*k^2+((((64299/7)*S-17091/7)*Ex^2+(20079/14)*Ez^2*(S-609/2231))*k_2-(105921/7)*k_0*(Ex^2-2*Ez^2)*(S-1042/3923))*k+((-(151023/7)*S+82395/14)*Ex^2-(23994/7*(S-1665/5332))*Ez^2)*k_2+37962*k_0*(Ex^2-2*Ez^2)*(S-785/2812))*lambda^3+((((-18*Ex^2-(18/7)*Ez^2)*k_2+(162/7)*k_0*(Ex^2-2*Ez^2))*k^3+((535*Ex^2+(570/7)*Ez^2)*k_2-(5994/7)*k_0*(Ex^2-2*Ez^2))*k^2+((-(21614/7)*Ex^2-231*Ez^2)*k_2+(35370/7)*k_0*(Ex^2-2*Ez^2))*k+((35250/7)*Ex^2-(3600/7)*Ez^2)*k_2-7560*k_0*(Ex^2-2*Ez^2))*R^3+(((-62*Ex^2-(62/7)*Ez^2)*k_2+(558/7)*k_0*(Ex^2-2*Ez^2))*k^3+(((23371/14)*Ex^2+(4063/14)*Ez^2)*k_2-(19944/7)*k_0*(Ex^2-2*Ez^2))*k^2+((-(60147/7)*Ex^2-(20487/14)*Ez^2)*k_2+(110259/7)*k_0*(Ex^2-2*Ez^2))*k+((71811/7)*Ex^2+(11898/7)*Ez^2)*k_2-22248*k_0*(Ex^2-2*Ez^2))*R^2+((71*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(S-141/142)*k^3+(((13212/7-(13558/7)*S)*Ex^2-(4633/14)*Ez^2*(-4122/4633+S))*k_2+(22941/7)*k_0*(S-4983/5098)*(Ex^2-2*Ez^2))*k^2+(((-72963/7+(70954/7)*S)*Ex^2+(11052/7)*Ez^2*(-502/921+S))*k_2-(127944/7*(S-1683/1777))*k_0*(Ex^2-2*Ez^2))*k+((94554/7-(89436/7)*S)*Ex^2-(10098/7)*Ez^2*(46/561+S))*k_2+26028*k_0*(Ex^2-2*Ez^2)*(S-443/482))*R+(213/2*(S-18/71))*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2))*k^3+(((1605/2-(20702/7)*S)*Ex^2-(3201/7)*Ez^2*(-285/1067+S))*k_2+(68823/14*(S-666/2549))*k_0*(Ex^2-2*Ez^2))*k^2+(((-32421/7+(116191/7)*S)*Ex^2+(9258/7)*Ez^2*(-1617/6172+S))*k_2-(191916/7*(S-1965/7108))*k_0*(Ex^2-2*Ez^2))*k+((52875/7-(165054/7)*S)*Ex^2+(8028/7*(-150/223+S))*Ez^2)*k_2+39042*k_0*(Ex^2-2*Ez^2)*(S-70/241))*lambda^2+((((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2))*k^4+((-(502/7)*Ex^2-(81/7)*Ez^2)*k_2+(792/7)*k_0*(Ex^2-2*Ez^2))*k^3+((733*Ex^2+(348/7)*Ez^2)*k_2-(8055/7)*k_0*(Ex^2-2*Ez^2))*k^2+((-(19006/7)*Ex^2+(3252/7)*Ez^2)*k_2+(26244/7)*k_0*(Ex^2-2*Ez^2))*k+((25080/7)*Ex^2-(13560/7)*Ez^2)*k_2-3780*k_0*(Ex^2-2*Ez^2))*R^3+((((7/2)*Ex^2+(1/2)*Ez^2)*k_2-(9/2)*k_0*(Ex^2-2*Ez^2))*k^4+((-(1476/7)*Ex^2-(288/7)*Ez^2)*k_2+(2700/7)*k_0*(Ex^2-2*Ez^2))*k^3+(((27959/14)*Ex^2+(3677/14)*Ez^2)*k_2-(51057/14)*k_0*(Ex^2-2*Ez^2))*k^2+((-(39573/7)*Ex^2-(2244/7)*Ez^2)*k_2+11106*k_0*(Ex^2-2*Ez^2))*k+((33840/7)*Ex^2-(12150/7)*Ez^2)*k_2-10638*k_0*(Ex^2-2*Ez^2))*R^2+(-(4*(S-1))*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2))*k^4+(((-3223/14+(1727/7)*S)*Ex^2+(657/14)*Ez^2*(-208/219+S))*k_2-(3096/7)*k_0*(Ex^2-2*Ez^2)*(S-85/86))*k^3+(((32681/14-(16545/7)*S)*Ex^2-(575/2)*Ez^2*(-1968/4025+S))*k_2+(29556/7)*k_0*(Ex^2-2*Ez^2)*(S-784/821))*k^2+(((-48822/7+(49076/7)*S)*Ex^2+(618/7)*Ez^2*(414/103+S))*k_2-(90864/7)*k_0*(S-582/631)*(Ex^2-2*Ez^2))*k+((42510/7-(46380/7)*S)*Ex^2+(18930/7)*Ez^2*(-620/631+S))*k_2+(12528*(S-26/29))*k_0*(Ex^2-2*Ez^2))*R-(6*(S-1/4))*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2))*k^4+(((-753/7+(5231/14)*S)*Ex^2+(474/7)*Ez^2*(-81/316+S))*k_2-(4644/7)*k_0*(Ex^2-2*Ez^2)*(S-11/43))*k^3+(((2199/2-(53205/14)*S)*Ex^2-240*Ez^2*(-87/280+S))*k_2+(44334/7*(S-895/3284))*k_0*(Ex^2-2*Ez^2))*k^2+(((-28509/7+(86834/7)*S)*Ex^2-1284*Ez^2*(-813/1498+S))*k_2-(136296/7*(S-729/2524))*k_0*(Ex^2-2*Ez^2))*k+((37620/7-(92670/7)*S)*Ex^2+(45720/7)*Ez^2*(-113/254+S))*k_2+(18792*(S-35/116))*k_0*(Ex^2-2*Ez^2))*lambda+(23/7*(-5+k))*(((Ex^2+(4/23)*Ez^2)*k_2-(36/23)*k_0*(Ex^2-2*Ez^2))*k^3+((-(257/23)*Ex^2-(16/23)*Ez^2)*k_2+(396/23)*k_0*(Ex^2-2*Ez^2))*k^2+((44*Ex^2-(384/23)*Ez^2)*k_2-(1152/23)*k_0*(Ex^2-2*Ez^2))*k+(-(1500/23)*Ex^2+(1440/23)*Ez^2)*k_2+(1008/23)*k_0*(Ex^2-2*Ez^2))*R^3+((((121/14)*Ex^2+2*Ez^2)*k_2-18*k_0*(Ex^2-2*Ez^2))*k^4+((-130*Ex^2-(160/7)*Ez^2)*k_2+(1872/7)*k_0*(Ex^2-2*Ez^2))*k^3+(((9703/14)*Ex^2+(2/7)*Ez^2)*k_2-(9378/7)*k_0*(Ex^2-2*Ez^2))*k^2+((-(8832/7)*Ex^2+(2664/7)*Ez^2)*k_2+(19080/7)*k_0*(Ex^2-2*Ez^2))*k+((7290/7)*Ex^2-(9720/7)*Ez^2)*k_2-1944*k_0*(Ex^2-2*Ez^2))*R^2+((((62/7-(72/7)*S)*Ex^2-(16/7)*Ez^2*(S-1))*k_2+(144/7)*k_0*(Ex^2-2*Ez^2)*(S-1))*k^4+(((-1000/7+(1096/7)*S)*Ex^2+(178/7)*Ez^2*(-60/89+S))*k_2-(2160/7)*k_0*(Ex^2-2*Ez^2)*(S-29/30))*k^3+(((5706/7-(6000/7)*S)*Ex^2+(150/7)*Ez^2*(-296/75+S))*k_2+(10944/7*(S-141/152))*k_0*(Ex^2-2*Ez^2))*k^2+(((-1464+(12112/7)*S)*Ex^2+Ez^2*(528-(4344/7)*S))*k_2-(22464/7)*k_0*(Ex^2-2*Ez^2)*(S-35/39))*k+((1080-(11040/7)*S)*Ex^2+(13320/7)*Ez^2*(-28/37+S))*k_2+(2304*(S-7/8))*k_0*(Ex^2-2*Ez^2))*R+(((69/14-(108/7)*S)*Ex^2-(24/7*(S-1/4))*Ez^2)*k_2+(216/7*(S-1/4))*k_0*(Ex^2-2*Ez^2))*k^4+(((-558/7+(1744/7)*S)*Ex^2+(192/7)*Ez^2*(-9/32+S))*k_2-(3240/7*(S-4/15))*k_0*(Ex^2-2*Ez^2))*k^3+(((6891/14-(10300/7)*S)*Ex^2+(1200/7)*Ez^2*(-19/50+S))*k_2+(16416/7)*k_0*(Ex^2-2*Ez^2)*(S-87/304))*k^2+(((-9840/7+(23368/7)*S)*Ex^2-1488*Ez^2*(S-15/31))*k_2-(33696/7)*k_0*(Ex^2-2*Ez^2)*(S-47/156))*k+((11250/7-(22560/7)*S)*Ex^2+(24480/7)*Ez^2*(-15/34+S))*k_2+(3456*(S-5/16))*k_0*(Ex^2-2*Ez^2))*beta^4+(-(1260*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(R+3/2)*(R^2+(9/5)*R-(19/5)*S+1)*lambda^5+((((954*Ex^2+(954/7)*Ez^2)*k_2-(8586/7)*k_0*(Ex^2-2*Ez^2))*k+(-(48000/7)*Ex^2-(10200/7)*Ez^2)*k_2+11880*k_0*(Ex^2-2*Ez^2))*R^3+(((3186*Ex^2+(3186/7)*Ez^2)*k_2-(28674/7)*k_0*(Ex^2-2*Ez^2))*k+(-(150732/7)*Ex^2-(34686/7)*Ez^2)*k_2+38232*k_0*(Ex^2-2*Ez^2))*R^2+(-(3663*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(S-797/814)*k+(((174732/7)*S-175998/7)*Ex^2+(39786/7)*Ez^2*(S-5309/6631))*k_2-44172*k_0*(S-787/818)*(Ex^2-2*Ez^2))*R-(10989/2*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(S-106/407)*k+(((271998/7)*S-72000/7)*Ex^2+(52254/7)*Ez^2*(S-850/2903))*k_2-66258*k_0*(S-110/409)*(Ex^2-2*Ez^2))*lambda^4+((((-232*Ex^2-(232/7)*Ez^2)*k_2+(2088/7)*k_0*(Ex^2-2*Ez^2))*k^2+(((34182/7)*Ex^2+783*Ez^2)*k_2-(56268/7)*k_0*(Ex^2-2*Ez^2))*k+(-(109860/7)*Ex^2-(19980/7)*Ez^2)*k_2+28260*k_0*(Ex^2-2*Ez^2))*R^3+(((-786*Ex^2-(786/7)*Ez^2)*k_2+(7074/7)*k_0*(Ex^2-2*Ez^2))*k^2+(((108117/7)*Ex^2+(19881/7)*Ez^2)*k_2-26244*k_0*(Ex^2-2*Ez^2))*k+(-(304398/7)*Ex^2-(86544/7)*Ez^2)*k_2+87102*k_0*(Ex^2-2*Ez^2))*R^2+((902*(S-889/902))*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2))*k^2+(((-(125208/7)*S+124533/7)*Ex^2-(45243/14)*Ez^2*(S-387/457))*k_2+(211842/7*(S-7601/7846))*k_0*(Ex^2-2*Ez^2))*k+(((359328/7)*S-384372/7)*Ex^2+(96534/7*(S-3112/5363))*Ez^2)*k_2-101232*k_0*(S-662/703)*(Ex^2-2*Ez^2))*R+(1353*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(S-116/451)*k^2+(((-(192897/7)*S+51273/7)*Ex^2-(60237/14)*Ez^2*(S-609/2231))*k_2+(317763/7)*k_0*(Ex^2-2*Ez^2)*(S-1042/3923))*k+(((604092/7)*S-164790/7)*Ex^2+(95976/7*(S-1665/5332))*Ez^2)*k_2-151848*k_0*(Ex^2-2*Ez^2)*(S-785/2812))*lambda^3+((((18*Ex^2+(18/7)*Ez^2)*k_2-(162/7)*k_0*(Ex^2-2*Ez^2))*k^3+((-1070*Ex^2-(1140/7)*Ez^2)*k_2+(11988/7)*k_0*(Ex^2-2*Ez^2))*k^2+(((64842/7)*Ex^2+693*Ez^2)*k_2-(106110/7)*k_0*(Ex^2-2*Ez^2))*k+(-(141000/7)*Ex^2+(14400/7)*Ez^2)*k_2+30240*k_0*(Ex^2-2*Ez^2))*R^3+(((62*Ex^2+(62/7)*Ez^2)*k_2-(558/7)*k_0*(Ex^2-2*Ez^2))*k^3+((-(22983/7)*Ex^2-567*Ez^2)*k_2+(39888/7)*k_0*(Ex^2-2*Ez^2))*k^2+(((180441/7)*Ex^2+(61461/14)*Ez^2)*k_2-(330777/7)*k_0*(Ex^2-2*Ez^2))*k+(-(287244/7)*Ex^2-(47592/7)*Ez^2)*k_2+88992*k_0*(Ex^2-2*Ez^2))*R^2+(-(71*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(S-141/142)*k^3+(((-25842/7+(26728/7)*S)*Ex^2+(4539/7)*Ez^2*(-1327/1513+S))*k_2-(45882/7)*k_0*(S-4983/5098)*(Ex^2-2*Ez^2))*k^2+(((218889/7-(212862/7)*S)*Ex^2-(33156/7)*Ez^2*(-502/921+S))*k_2+(383832/7*(S-1683/1777))*k_0*(Ex^2-2*Ez^2))*k+((-378216/7+(357744/7)*S)*Ex^2+(40392/7)*Ez^2*(46/561+S))*k_2-104112*k_0*(Ex^2-2*Ez^2)*(S-443/482))*R-(213/2*(S-18/71))*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2))*k^3+(((-1605+(40822/7)*S)*Ex^2+(6261/7)*Ez^2*(-570/2087+S))*k_2-(68823/7*(S-666/2549))*k_0*(Ex^2-2*Ez^2))*k^2+(((97263/7-(348573/7)*S)*Ex^2-(27774/7)*Ez^2*(-1617/6172+S))*k_2+(575748/7*(S-1965/7108))*k_0*(Ex^2-2*Ez^2))*k+((-211500/7+(660216/7)*S)*Ex^2-(32112/7*(-150/223+S))*Ez^2)*k_2-156168*k_0*(Ex^2-2*Ez^2)*(S-70/241))*lambda^2+(((((502/7)*Ex^2+(81/7)*Ez^2)*k_2-(792/7)*k_0*(Ex^2-2*Ez^2))*k^3+((-1466*Ex^2-(696/7)*Ez^2)*k_2+(16110/7)*k_0*(Ex^2-2*Ez^2))*k^2+(((57018/7)*Ex^2-(9756/7)*Ez^2)*k_2-(78732/7)*k_0*(Ex^2-2*Ez^2))*k+(-(100320/7)*Ex^2+(54240/7)*Ez^2)*k_2+15120*k_0*(Ex^2-2*Ez^2))*R^3+((((1276/7)*Ex^2+(278/7)*Ez^2)*k_2-(2700/7)*k_0*(Ex^2-2*Ez^2))*k^3+((-(27427/7)*Ex^2-(3201/7)*Ez^2)*k_2+(51057/7)*k_0*(Ex^2-2*Ez^2))*k^2+(((118719/7)*Ex^2+(6732/7)*Ez^2)*k_2-33318*k_0*(Ex^2-2*Ez^2))*k+(-(135360/7)*Ex^2+(48600/7)*Ez^2)*k_2+42552*k_0*(Ex^2-2*Ez^2))*R^2+((((2623/14-(1527/7)*S)*Ex^2-(91/2)*Ez^2*(-594/637+S))*k_2+(3096/7)*k_0*(Ex^2-2*Ez^2)*(S-85/86))*k^3+(((-31883/7+(32558/7)*S)*Ex^2+507*Ez^2*(-418/1183+S))*k_2-(59112/7)*k_0*(Ex^2-2*Ez^2)*(S-784/821))*k^2+(((146466/7-(147228/7)*S)*Ex^2-(1854/7)*Ez^2*(414/103+S))*k_2+(272592/7)*k_0*(S-582/631)*(Ex^2-2*Ez^2))*k+((-170040/7+(185520/7)*S)*Ex^2-(75720/7)*Ez^2*(-620/631+S))*k_2-(50112*(S-26/29))*k_0*(Ex^2-2*Ez^2))*R+(((753/7-(4631/14)*S)*Ex^2-(459/7)*Ez^2*(-9/34+S))*k_2+(4644/7)*k_0*(Ex^2-2*Ez^2)*(S-11/43))*k^3+(((-2199+(52407/7)*S)*Ex^2+378*Ez^2*(-58/147+S))*k_2-(88668/7*(S-895/3284))*k_0*(Ex^2-2*Ez^2))*k^2+(((85527/7-(260502/7)*S)*Ex^2+3852*Ez^2*(-813/1498+S))*k_2+(408888/7*(S-729/2524))*k_0*(Ex^2-2*Ez^2))*k+((-150480/7+(370680/7)*S)*Ex^2-(182880/7)*Ez^2*(-113/254+S))*k_2-(75168*(S-35/116))*k_0*(Ex^2-2*Ez^2))*lambda+((((372/7)*Ex^2+(36/7)*Ez^2)*k_2-(576/7)*k_0*(Ex^2-2*Ez^2))*k^3+((-(4594/7)*Ex^2+(608/7)*Ez^2)*k_2+(6264/7)*k_0*(Ex^2-2*Ez^2))*k^2+(((19680/7)*Ex^2-1440*Ez^2)*k_2-(20304/7)*k_0*(Ex^2-2*Ez^2))*k+(-(30000/7)*Ex^2+(28800/7)*Ez^2)*k_2+2880*k_0*(Ex^2-2*Ez^2))*R^3+((20/7)*k_2*k^4*Ex^2+(((730/7)*Ex^2+(120/7)*Ez^2)*k_2-(1872/7)*k_0*(Ex^2-2*Ez^2))*k^3+((-1369*Ex^2+(396/7)*Ez^2)*k_2+(18756/7)*k_0*(Ex^2-2*Ez^2))*k^2+(((26496/7)*Ex^2-(7992/7)*Ez^2)*k_2-(57240/7)*k_0*(Ex^2-2*Ez^2))*k+(-(29160/7)*Ex^2+(38880/7)*Ez^2)*k_2+7776*k_0*(Ex^2-2*Ez^2))*R^2+(-(20/7)*Ex^2*(-3/2+S)*k_2*k^4+(((730/7-(916/7)*S)*Ex^2-(138/7)*Ez^2*(-10/23+S))*k_2+(2160/7)*k_0*(Ex^2-2*Ez^2)*(S-29/30))*k^3+(((-11232/7+(11880/7)*S)*Ex^2-100*Ez^2*(-446/175+S))*k_2-(21888/7*(S-141/152))*k_0*(Ex^2-2*Ez^2))*k^2+(((4392-(36336/7)*S)*Ex^2+(13032/7)*Ez^2*(-154/181+S))*k_2+(67392/7)*k_0*(Ex^2-2*Ez^2)*(S-35/39))*k+((-4320+(44160/7)*S)*Ex^2-(53280/7)*Ez^2*(-28/37+S))*k_2-(9216*(S-7/8))*k_0*(Ex^2-2*Ez^2))*R-(30/7)*k_2*S*k^4*Ex^2+(((558/7-(1474/7)*S)*Ex^2-(132/7)*Ez^2*(-9/22+S))*k_2+(3240/7*(S-4/15))*k_0*(Ex^2-2*Ez^2))*k^3+(((-6891/7+(20420/7)*S)*Ex^2-(3000/7)*Ez^2*(-38/125+S))*k_2-(32832/7)*k_0*(Ex^2-2*Ez^2)*(S-87/304))*k^2+(((29520/7-(70104/7)*S)*Ex^2+4464*Ez^2*(S-15/31))*k_2+(101088/7)*k_0*(Ex^2-2*Ez^2)*(S-47/156))*k+((-45000/7+(90240/7)*S)*Ex^2-(97920/7)*Ez^2*(-15/34+S))*k_2-(13824*(S-5/16))*k_0*(Ex^2-2*Ez^2))*beta^3+((1890*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(R+3/2)*(R^2+(9/5)*R-(19/5)*S+1)*lambda^5+((((-954*Ex^2-(954/7)*Ez^2)*k_2+(8586/7)*k_0*(Ex^2-2*Ez^2))*k+((72000/7)*Ex^2+(15300/7)*Ez^2)*k_2-17820*k_0*(Ex^2-2*Ez^2))*R^3+(((-3186*Ex^2-(3186/7)*Ez^2)*k_2+(28674/7)*k_0*(Ex^2-2*Ez^2))*k+((226098/7)*Ex^2+(52029/7)*Ez^2)*k_2-57348*k_0*(Ex^2-2*Ez^2))*R^2+((3663*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(S-797/814)*k+((-(262098/7)*S+263997/7)*Ex^2-(59679/7)*Ez^2*(S-5309/6631))*k_2+66258*k_0*(S-787/818)*(Ex^2-2*Ez^2))*R+(10989/2*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(S-106/407)*k+((-(407997/7)*S+108000/7)*Ex^2-(78381/7)*Ez^2*(S-850/2903))*k_2+99387*k_0*(S-110/409)*(Ex^2-2*Ez^2))*lambda^4+((((116*Ex^2+(116/7)*Ez^2)*k_2-(1044/7)*k_0*(Ex^2-2*Ez^2))*k^2+((-(34182/7)*Ex^2-783*Ez^2)*k_2+(56268/7)*k_0*(Ex^2-2*Ez^2))*k+((164790/7)*Ex^2+(29970/7)*Ez^2)*k_2-42390*k_0*(Ex^2-2*Ez^2))*R^3+(((393*Ex^2+(393/7)*Ez^2)*k_2-(3537/7)*k_0*(Ex^2-2*Ez^2))*k^2+((-(108117/7)*Ex^2-(19881/7)*Ez^2)*k_2+26244*k_0*(Ex^2-2*Ez^2))*k+((456597/7)*Ex^2+(129816/7)*Ez^2)*k_2-130653*k_0*(Ex^2-2*Ez^2))*R^2+(-(451*(S-889/902))*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2))*k^2+((((125208/7)*S-124533/7)*Ex^2+(45243/14)*Ez^2*(S-387/457))*k_2-(211842/7*(S-7601/7846))*k_0*(Ex^2-2*Ez^2))*k+((-(538992/7)*S+576558/7)*Ex^2-(144801/7*(S-3112/5363))*Ez^2)*k_2+151848*k_0*(S-662/703)*(Ex^2-2*Ez^2))*R-(1353/2*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(S-116/451)*k^2+((((192897/7)*S-51273/7)*Ex^2+(60237/14)*Ez^2*(S-609/2231))*k_2-(317763/7)*k_0*(Ex^2-2*Ez^2)*(S-1042/3923))*k+((-(906138/7)*S+247185/7)*Ex^2-(143964/7*(S-1665/5332))*Ez^2)*k_2+227772*k_0*(Ex^2-2*Ez^2)*(S-785/2812))*lambda^3+((((535*Ex^2+(570/7)*Ez^2)*k_2-(5994/7)*k_0*(Ex^2-2*Ez^2))*k^2+((-(64842/7)*Ex^2-693*Ez^2)*k_2+(106110/7)*k_0*(Ex^2-2*Ez^2))*k+((211500/7)*Ex^2-(21600/7)*Ez^2)*k_2-45360*k_0*(Ex^2-2*Ez^2))*R^3+((((3117/2)*Ex^2+(3687/14)*Ez^2)*k_2-(19944/7)*k_0*(Ex^2-2*Ez^2))*k^2+((-(180441/7)*Ex^2-(61461/14)*Ez^2)*k_2+(330777/7)*k_0*(Ex^2-2*Ez^2))*k+((430866/7)*Ex^2+(71388/7)*Ez^2)*k_2-133488*k_0*(Ex^2-2*Ez^2))*R^2+((((-1826*S+12048/7)*Ex^2-(4257/14)*Ez^2*(S-1186/1419))*k_2+(22941/7)*k_0*(S-4983/5098)*(Ex^2-2*Ez^2))*k^2+(((-218889/7+(212862/7)*S)*Ex^2+(33156/7)*Ez^2*(-502/921+S))*k_2-(383832/7*(S-1683/1777))*k_0*(Ex^2-2*Ez^2))*k+((-(536616/7)*S+567324/7)*Ex^2-(60588/7)*Ez^2*(46/561+S))*k_2+156168*k_0*(Ex^2-2*Ez^2)*(S-443/482))*R+(((-(19538/7)*S+1605/2)*Ex^2-417*Ez^2*(S-285/973))*k_2+(68823/14*(S-666/2549))*k_0*(Ex^2-2*Ez^2))*k^2+(((-97263/7+(348573/7)*S)*Ex^2+(27774/7)*Ez^2*(-1617/6172+S))*k_2-(575748/7*(S-1965/7108))*k_0*(Ex^2-2*Ez^2))*k+((-(990324/7)*S+317250/7)*Ex^2+(48168/7*(-150/223+S))*Ez^2)*k_2+234252*k_0*(Ex^2-2*Ez^2)*(S-70/241))*lambda^2+((((733*Ex^2+(348/7)*Ez^2)*k_2-(8055/7)*k_0*(Ex^2-2*Ez^2))*k^2+((-(57018/7)*Ex^2+(9756/7)*Ez^2)*k_2+(78732/7)*k_0*(Ex^2-2*Ez^2))*k+((150480/7)*Ex^2-(81360/7)*Ez^2)*k_2-22680*k_0*(Ex^2-2*Ez^2))*R^3+((200/7*(Ex^2+(1/20)*Ez^2))*k_2*k^3+(((25831/14)*Ex^2+(1773/14)*Ez^2)*k_2-(51057/14)*k_0*(Ex^2-2*Ez^2))*k^2+((-(118719/7)*Ex^2-(6732/7)*Ez^2)*k_2+33318*k_0*(Ex^2-2*Ez^2))*k+((203040/7)*Ex^2-(72900/7)*Ez^2)*k_2-63828*k_0*(Ex^2-2*Ez^2))*R^2+(-(200/7*(-3/2+S))*(Ex^2+(1/20)*Ez^2)*k_2*k^3+(((29489/14-(15481/7)*S)*Ex^2-(303/2)*Ez^2*(296/707+S))*k_2+(29556/7)*k_0*(Ex^2-2*Ez^2)*(S-784/821))*k^2+(((-146466/7+(147228/7)*S)*Ex^2+(1854/7)*Ez^2*(414/103+S))*k_2-(272592/7)*k_0*(S-582/631)*(Ex^2-2*Ez^2))*k+((255060/7-(278280/7)*S)*Ex^2+(113580/7)*Ez^2*(-620/631+S))*k_2+(75168*(S-26/29))*k_0*(Ex^2-2*Ez^2))*R-(300/7)*S*(Ex^2+(1/20)*Ez^2)*k_2*k^3+(((2199/2-(50013/14)*S)*Ex^2-36*Ez^2*(-29/14+S))*k_2+(44334/7*(S-895/3284))*k_0*(Ex^2-2*Ez^2))*k^2+(((-85527/7+(260502/7)*S)*Ex^2-3852*Ez^2*(-813/1498+S))*k_2-(408888/7*(S-729/2524))*k_0*(Ex^2-2*Ez^2))*k+((225720/7-(556020/7)*S)*Ex^2+(274320/7)*Ez^2*(-113/254+S))*k_2+(112752*(S-35/116))*k_0*(Ex^2-2*Ez^2))*lambda+((((2297/7)*Ex^2-(304/7)*Ez^2)*k_2-(3132/7)*k_0*(Ex^2-2*Ez^2))*k^2+((-(19680/7)*Ex^2+1440*Ez^2)*k_2+(20304/7)*k_0*(Ex^2-2*Ez^2))*k+((45000/7)*Ex^2-(43200/7)*Ez^2)*k_2-4320*k_0*(Ex^2-2*Ez^2))*R^3+((180/7*(Ex^2+(2/9)*Ez^2))*k_2*k^3+(((9223/14)*Ex^2-114*Ez^2)*k_2-(9378/7)*k_0*(Ex^2-2*Ez^2))*k^2+((-(26496/7)*Ex^2+(7992/7)*Ez^2)*k_2+(57240/7)*k_0*(Ex^2-2*Ez^2))*k+((43740/7)*Ex^2-(58320/7)*Ez^2)*k_2-11664*k_0*(Ex^2-2*Ez^2))*R^2+(-(180/7*(Ex^2+(2/9)*Ez^2))*(-3/2+S)*k_2*k^3+(((5346/7-(5760/7)*S)*Ex^2+Ez^2*(-256+(950/7)*S))*k_2+(10944/7*(S-141/152))*k_0*(Ex^2-2*Ez^2))*k^2+(((-4392+(36336/7)*S)*Ex^2-(13032/7)*Ez^2*(-154/181+S))*k_2-(67392/7)*k_0*(Ex^2-2*Ez^2)*(S-35/39))*k+((6480-(66240/7)*S)*Ex^2+(79920/7)*Ez^2*(-28/37+S))*k_2+(13824*(S-7/8))*k_0*(Ex^2-2*Ez^2))*R-(270/7*(Ex^2+(2/9)*Ez^2))*S*k_2*k^3+(((6891/14-1420*S)*Ex^2+(2400/7)*Ez^2*(-19/100+S))*k_2+(16416/7)*k_0*(Ex^2-2*Ez^2)*(S-87/304))*k^2+(((-29520/7+(70104/7)*S)*Ex^2-4464*Ez^2*(S-15/31))*k_2-(101088/7)*k_0*(Ex^2-2*Ez^2)*(S-47/156))*k+((67500/7-(135360/7)*S)*Ex^2+(146880/7)*Ez^2*(-15/34+S))*k_2+(20736*(S-5/16))*k_0*(Ex^2-2*Ez^2))*beta^2+(-(1260*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(R+3/2)*(R^2+(9/5)*R-(19/5)*S+1)*lambda^5+((((318*Ex^2+(318/7)*Ez^2)*k_2-(2862/7)*k_0*(Ex^2-2*Ez^2))*k+(-(48000/7)*Ex^2-(10200/7)*Ez^2)*k_2+11880*k_0*(Ex^2-2*Ez^2))*R^3+(((1062*Ex^2+(1062/7)*Ez^2)*k_2-(9558/7)*k_0*(Ex^2-2*Ez^2))*k+(-(150732/7)*Ex^2-(34686/7)*Ez^2)*k_2+38232*k_0*(Ex^2-2*Ez^2))*R^2+(-(1221*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(S-797/814)*k+(((174732/7)*S-175998/7)*Ex^2+(39786/7)*Ez^2*(S-5309/6631))*k_2-44172*k_0*(S-787/818)*(Ex^2-2*Ez^2))*R-(3663/2*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(S-106/407)*k+(((271998/7)*S-72000/7)*Ex^2+(52254/7)*Ez^2*(S-850/2903))*k_2-66258*k_0*(S-110/409)*(Ex^2-2*Ez^2))*lambda^4+(((((11394/7)*Ex^2+261*Ez^2)*k_2-(18756/7)*k_0*(Ex^2-2*Ez^2))*k+(-(109860/7)*Ex^2-(19980/7)*Ez^2)*k_2+28260*k_0*(Ex^2-2*Ez^2))*R^3+((((36039/7)*Ex^2+(6627/7)*Ez^2)*k_2-8748*k_0*(Ex^2-2*Ez^2))*k+(-(304398/7)*Ex^2-(86544/7)*Ez^2)*k_2+87102*k_0*(Ex^2-2*Ez^2))*R^2+((((-(41736/7)*S+41511/7)*Ex^2-(15081/14)*Ez^2*(S-387/457))*k_2+(70614/7*(S-7601/7846))*k_0*(Ex^2-2*Ez^2))*k+(((359328/7)*S-384372/7)*Ex^2+(96534/7*(S-3112/5363))*Ez^2)*k_2-101232*k_0*(S-662/703)*(Ex^2-2*Ez^2))*R+(((-(64299/7)*S+17091/7)*Ex^2-(20079/14)*Ez^2*(S-609/2231))*k_2+(105921/7)*k_0*(Ex^2-2*Ez^2)*(S-1042/3923))*k+(((604092/7)*S-164790/7)*Ex^2+(95976/7*(S-1665/5332))*Ez^2)*k_2-151848*k_0*(Ex^2-2*Ez^2)*(S-785/2812))*lambda^3+(((((21614/7)*Ex^2+231*Ez^2)*k_2-(35370/7)*k_0*(Ex^2-2*Ez^2))*k+(-(141000/7)*Ex^2+(14400/7)*Ez^2)*k_2+30240*k_0*(Ex^2-2*Ez^2))*R^3+((388/7*(Ex^2+(47/194)*Ez^2))*k_2*k^2+(((60147/7)*Ex^2+(20487/14)*Ez^2)*k_2-(110259/7)*k_0*(Ex^2-2*Ez^2))*k+(-(287244/7)*Ex^2-(47592/7)*Ez^2)*k_2+88992*k_0*(Ex^2-2*Ez^2))*R^2+(-(388/7*(-3/2+S))*(Ex^2+(47/194)*Ez^2)*k_2*k^2+(((72963/7-(70954/7)*S)*Ex^2-(11052/7)*Ez^2*(-502/921+S))*k_2+(127944/7*(S-1683/1777))*k_0*(Ex^2-2*Ez^2))*k+((-378216/7+(357744/7)*S)*Ex^2+(40392/7)*Ez^2*(46/561+S))*k_2-104112*k_0*(Ex^2-2*Ez^2)*(S-443/482))*R-(582/7)*S*(Ex^2+(47/194)*Ez^2)*k_2*k^2+(((32421/7-(116191/7)*S)*Ex^2-(9258/7)*Ez^2*(-1617/6172+S))*k_2+(191916/7*(S-1965/7108))*k_0*(Ex^2-2*Ez^2))*k+((-211500/7+(660216/7)*S)*Ex^2-(32112/7*(-150/223+S))*Ez^2)*k_2-156168*k_0*(Ex^2-2*Ez^2)*(S-70/241))*lambda^2+(((((19006/7)*Ex^2-(3252/7)*Ez^2)*k_2-(26244/7)*k_0*(Ex^2-2*Ez^2))*k+(-(100320/7)*Ex^2+(54240/7)*Ez^2)*k_2+15120*k_0*(Ex^2-2*Ez^2))*R^3+((76*Ex^2+68*Ez^2)*k_2*k^2+(((39573/7)*Ex^2+(2244/7)*Ez^2)*k_2-11106*k_0*(Ex^2-2*Ez^2))*k+(-(135360/7)*Ex^2+(48600/7)*Ez^2)*k_2+42552*k_0*(Ex^2-2*Ez^2))*R^2+(-(76*(Ex^2+(17/19)*Ez^2))*(-3/2+S)*k_2*k^2+(((48822/7-(49076/7)*S)*Ex^2-(618/7)*Ez^2*(414/103+S))*k_2+(90864/7)*k_0*(S-582/631)*(Ex^2-2*Ez^2))*k+((-170040/7+(185520/7)*S)*Ex^2-(75720/7)*Ez^2*(-620/631+S))*k_2-(50112*(S-26/29))*k_0*(Ex^2-2*Ez^2))*R-114*S*(Ex^2+(17/19)*Ez^2)*k_2*k^2+(((28509/7-(86834/7)*S)*Ex^2+1284*Ez^2*(-813/1498+S))*k_2+(136296/7*(S-729/2524))*k_0*(Ex^2-2*Ez^2))*k+((-150480/7+(370680/7)*S)*Ex^2-(182880/7)*Ez^2*(-113/254+S))*k_2-(75168*(S-35/116))*k_0*(Ex^2-2*Ez^2))*lambda+((((6560/7)*Ex^2-480*Ez^2)*k_2-(6768/7)*k_0*(Ex^2-2*Ez^2))*k+(-(30000/7)*Ex^2+(28800/7)*Ez^2)*k_2+2880*k_0*(Ex^2-2*Ez^2))*R^3+((120/7*(Ex^2+(10/3)*Ez^2))*k_2*k^2+(((8832/7)*Ex^2-(2664/7)*Ez^2)*k_2-(19080/7)*k_0*(Ex^2-2*Ez^2))*k+(-(29160/7)*Ex^2+(38880/7)*Ez^2)*k_2+7776*k_0*(Ex^2-2*Ez^2))*R^2+(-(120/7*(Ex^2+(10/3)*Ez^2))*(-3/2+S)*k_2*k^2+(((1464-(12112/7)*S)*Ex^2+Ez^2*(-528+(4344/7)*S))*k_2+(22464/7)*k_0*(Ex^2-2*Ez^2)*(S-35/39))*k+((-4320+(44160/7)*S)*Ex^2-(53280/7)*Ez^2*(-28/37+S))*k_2-(9216*(S-7/8))*k_0*(Ex^2-2*Ez^2))*R-(180/7*(Ex^2+(10/3)*Ez^2))*S*k_2*k^2+(((9840/7-(23368/7)*S)*Ex^2+1488*Ez^2*(S-15/31))*k_2+(33696/7)*k_0*(Ex^2-2*Ez^2)*(S-47/156))*k+((-45000/7+(90240/7)*S)*Ex^2-(97920/7)*Ez^2*(-15/34+S))*k_2-(13824*(S-5/16))*k_0*(Ex^2-2*Ez^2))*beta+(315*((Ex^2+(1/7)*Ez^2)*k_2-(9/7)*k_0*(Ex^2-2*Ez^2)))*(R+3/2)*(R^2+(9/5)*R-(19/5)*S+1)*lambda^5+((((12000/7)*Ex^2+(2550/7)*Ez^2)*k_2-2970*k_0*(Ex^2-2*Ez^2))*R^3+(((37683/7)*Ex^2+(17343/14)*Ez^2)*k_2-9558*k_0*(Ex^2-2*Ez^2))*R^2+(((-(43683/7)*S+87999/14)*Ex^2-(19893/14)*Ez^2*(S-5309/6631))*k_2+11043*k_0*(S-787/818)*(Ex^2-2*Ez^2))*R+((-(135999/14)*S+18000/7)*Ex^2-(26127/14)*Ez^2*(S-850/2903))*k_2+(33129/2)*k_0*(S-110/409)*(Ex^2-2*Ez^2))*lambda^4+((((27465/7)*Ex^2+(4995/7)*Ez^2)*k_2-7065*k_0*(Ex^2-2*Ez^2))*R^3+(((152199/14)*Ex^2+(21636/7)*Ez^2)*k_2-(43551/2)*k_0*(Ex^2-2*Ez^2))*R^2+(((-(89832/7)*S+96093/7)*Ex^2-(48267/14*(S-3112/5363))*Ez^2)*k_2+25308*k_0*(S-662/703)*(Ex^2-2*Ez^2))*R+((-(151023/7)*S+82395/14)*Ex^2-(23994/7*(S-1665/5332))*Ez^2)*k_2+37962*k_0*(Ex^2-2*Ez^2)*(S-785/2812))*lambda^3+((((35250/7)*Ex^2-(3600/7)*Ez^2)*k_2-7560*k_0*(Ex^2-2*Ez^2))*R^3+(((71811/7)*Ex^2+(11898/7)*Ez^2)*k_2-22248*k_0*(Ex^2-2*Ez^2))*R^2+(((94554/7-(89436/7)*S)*Ex^2-(10098/7)*Ez^2*(46/561+S))*k_2+26028*k_0*(Ex^2-2*Ez^2)*(S-443/482))*R+((52875/7-(165054/7)*S)*Ex^2+(8028/7*(-150/223+S))*Ez^2)*k_2+39042*k_0*(Ex^2-2*Ez^2)*(S-70/241))*lambda^2+((((25080/7)*Ex^2-(13560/7)*Ez^2)*k_2-3780*k_0*(Ex^2-2*Ez^2))*R^3+(((33840/7)*Ex^2-(12150/7)*Ez^2)*k_2-10638*k_0*(Ex^2-2*Ez^2))*R^2+(((42510/7-(46380/7)*S)*Ex^2+(18930/7)*Ez^2*(-620/631+S))*k_2+(12528*(S-26/29))*k_0*(Ex^2-2*Ez^2))*R+((37620/7-(92670/7)*S)*Ex^2+(45720/7)*Ez^2*(-113/254+S))*k_2+(18792*(S-35/116))*k_0*(Ex^2-2*Ez^2))*lambda+(((7500/7)*Ex^2-(7200/7)*Ez^2)*k_2-720*k_0*(Ex^2-2*Ez^2))*R^3+(((7290/7)*Ex^2-(9720/7)*Ez^2)*k_2-1944*k_0*(Ex^2-2*Ez^2))*R^2+(((1080-(11040/7)*S)*Ex^2+(13320/7)*Ez^2*(-28/37+S))*k_2+(2304*(S-7/8))*k_0*(Ex^2-2*Ez^2))*R+((11250/7-(22560/7)*S)*Ex^2+(24480/7)*Ez^2*(-15/34+S))*k_2+(3456*(S-5/16))*k_0*(Ex^2-2*Ez^2))/(((k-5*lambda-5)*beta+5*lambda+5)*(lambda+4)*(R+2)^2*((k-3*lambda-2)*beta+3*lambda+2)^2*(R+3/2)*((k-7*lambda-7)*beta+7*lambda+7));
   
% Steady state time
t_s = (9/4)*H^2*(lambda+4)*((k-7*lambda-7)*beta+7*lambda+7)*((k-3*lambda-2)*beta+3*lambda+2)^2*((k-5*lambda-5)*beta+5*lambda+5)/(k_2*Ca*((-594*lambda^5+(3726+(3024/5)*k)*lambda^4+(21981-(9789/10)*k-(591/5)*k^2)*lambda^3+(18876-(67171/10)*k-(4/5)*k^3+(9663/20)*k^2)*lambda^2+(-5529+(18381/20)*k^2-(4429/5)*k+k^4-(3159/20)*k^3)*lambda+14*k^4-84*k^3-294*k^2+3452*k-6960)*beta^4+(2376*lambda^5+(-14904-(9072/5)*k)*lambda^4+(-87924+(29367/10)*k+(657/5)*k^2)*lambda^3+(-75504-(16473/10)*k^2+(201513/10)*k+(184/5)*k^3)*lambda^2+(22116+(7559/20)*k^3-(26921/10)*k^2+(13287/5)*k-3*k^4)*lambda-17*k^4+233*k^3+298*k^2-10356*k+27840)*beta^3+(-3564*lambda^5+(22356+(9072/5)*k)*lambda^4+(131886+(459/5)*k^2-(29367/10)*k)*lambda^3+(-36*k^3+113256+(36903/20)*k^2-(201513/10)*k)*lambda^2+(-33174-(13287/5)*k-220*k^3+(52541/20)*k^2)*lambda-149*k^3+286*k^2+10356*k-41760)*beta^2+(2376*lambda^5+(-14904-(3024/5)*k)*lambda^4+(-105*k^2-87924+(9789/10)*k)*lambda^3+(-75504+(67171/10)*k-681*k^2)*lambda^2+(-854*k^2+22116+(4429/5)*k)*lambda-290*k^2-3452*k+27840)*beta-594*lambda^5+3726*lambda^4+21981*lambda^3+18876*lambda^2-5529*lambda-6960));

% Steady state transverse position
xd_inf= (9/16)*H*((-528*Ca*(R+3/2)*(R+2)^2*lambda^5+1440*Ca*((M*Ex*Ez*H+(28/75)*k+23/10)*R^3+((627/200)*M*Ex*Ez*H+(154/75)*k+253/20)*R^2+(-(727/200)*Ez*M*(-828/727+S)*Ex*H+(56/15)*k+23)*R-(307/50*(-75/307+S))*Ez*M*Ex*H+(56/25)*k+69/5)*lambda^4+(((-(894*(k-970/149))*M*Ex*Ez*H+58616/3-(1576/15)*k^2-(13052/15)*k)*R^3+(-(2655*(-8266/1475+k))*M*Ex*Ez*H+322388/3-(8668/15)*k^2-(71786/15)*k)*R^2+((3102*((S-1181/1034)*k-(14824/2585)*S+17961/2585))*M*Ex*Ez*H+586160/3-(26104/3)*k-(3152/3)*k^2)*R+5331*M*Ex*Ez*((S-447/1777)*k-(55322/8885)*S+2910/1777)*H-(3152/5)*k^2-(26104/5)*k+117232)*Ca+72*H*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)*lambda^3+((((1031/5)*M*Ex*(k^2-(12580/1031)*k+32700/1031)*Ez*H-(32/45)*k^3+(6442/15)*k^2-(268684/45)*k+50336/3)*R^3+((6183/10)*M*Ex*Ez*(k^2-(17320/2061)*k+1996/229)*H+(35431/15)*k^2-(1477762/45)*k-(176/45)*k^3+276848/3)*R^2+(-(3607/5)*M*Ex*Ez*((S-8157/7214)*k^2+(-(32270/3607)*S+42765/3607)*k+(43296/3607)*S-61344/3607)*H-(64/9)*k^3+(12884/3)*k^2-(537368/9)*k+503360/3)*R-(12281/10)*M*Ex*((S-3093/12281)*k^2+(-(135850/12281)*S+37740/12281)*k+(253488/12281)*S-98100/12281)*Ez*H+100672-(537368/15)*k-(64/15)*k^3+(12884/5)*k^2)*Ca+(378/5)*H*(k+650/21)*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)*lambda^2+(((-(22*(k^3-(817/55)*k^2+73*k-690/11))*M*Ex*Ez*H-(702/5)*k^3+(12254/15)*k^2-(35432/45)*k+(8/9)*k^4-14744/3)*R^3+(-(96*(k^3-(59/20)*k^2-(757/32)*k+10077/80))*M*Ex*Ez*H+(67397/15)*k^2-(194876/45)*k-(3861/5)*k^3+(44/9)*k^4-81092/3)*R^2+((107*((S-253/214)*k^3+(-(2233/535)*S+7303/1070)*k^2+(-(1468/107)*S+126/107)*k+(57012/535)*S-53118/535))*M*Ex*Ez*H+(80/9)*k^4-1404*k^3+(24508/3)*k^2-(70864/9)*k-147440/3)*R+(341/2*((S-6/31)*k^3+(-(13839/1705)*S+4902/1705)*k^2+((6172/341)*S-438/31)*k+(78636/1705)*S+4140/341))*M*Ex*Ez*H-29488-(70864/15)*k+(16/3)*k^4-(4212/5)*k^3+(24508/5)*k^2)*Ca-48*H*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE*(k^2+(389/20)*k-81))*lambda+((M*Ex*Ez*(k-5)*(k^3-7*k^2+28*k+156)*H-(224/3)*k^3-(784/3)*k^2+(27616/9)*k+(112/9)*k^4-18560/3)*R^3+((15/2*(k^4+(4/5)*k^3-97*k^2+560*k-972))*M*Ex*Ez*H-(4312/3)*k^2+(151888/9)*k-(1232/3)*k^3+(616/9)*k^4-102080/3)*R^2+(-8*M*Ex*Ez*((S-5/4)*k^4+2*k^3+(-87*S+325/4)*k^2+(526*S-525)*k-960*S+945)*H+(1120/9)*k^4-(2240/3)*k^3-(7840/3)*k^2+(276160/9)*k-185600/3)*R-12*M*Ex*Ez*((-1/8+S)*k^4+(-(10/3)*S+3/2)*k^3+(-(131/3)*S-63/8)*k^2+((1058/3)*S-2)*k-760*S+195/2)*H-37120+(55232/3)*k+(224/3)*k^4-448*k^3-1568*k^2)*Ca+6*H*M*Ex*(R-S)*(R+1-(1/3)*S)*(k-5)*(k^2+19*k-54)*Ez*ReE)*beta^4+(2112*Ca*(R+3/2)*(R+2)^2*lambda^5-5760*Ca*((M*Ex*Ez*H+(7/25)*k+23/10)*R^3+((627/200)*M*Ex*Ez*H+(77/50)*k+253/20)*R^2+(-(727/200)*Ez*M*(-828/727+S)*Ex*H+(14/5)*k+23)*R-(307/50*(-75/307+S))*Ez*M*Ex*H+(42/25)*k+69/5)*lambda^4+((((2682*(k-3880/447))*M*Ex*Ez*H-234464/3+(584/5)*k^2+(13052/5)*k)*R^3+((7965*(k-33064/4425))*M*Ex*Ez*H-1289552/3+(3212/5)*k^2+(71786/5)*k)*R^2+(-9306*M*Ex*Ez*((S-1181/1034)*k-(59296/7755)*S+23948/2585)*H-2344640/3+26104*k+1168*k^2)*R-15993*M*Ex*((S-447/1777)*k-(221288/26655)*S+3880/1777)*Ez*H+(3504/5)*k^2+(78312/5)*k-468928)*Ca-288*H*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)*lambda^3+(((-(2062/5*(k^2-(18870/1031)*k+65400/1031))*M*Ex*Ez*H+(1472/45)*k^3-(21964/15)*k^2+(268684/15)*k-201344/3)*R^3+(-(6387/5*(k^2-(25980/2129)*k+35928/2129))*M*Ex*Ez*H-(120802/15)*k^2+(1477762/15)*k+(8096/45)*k^3-1107392/3)*R^2+((7418/5*((S-8463/7418)*k^2+(-(48405/3709)*S+128295/7418)*k+(86592/3709)*S-122688/3709))*M*Ex*Ez*H+(2944/9)*k^3-(43928/3)*k^2+(537368/3)*k-2013440/3)*R+(12587/5*((S-3093/12587)*k^2+(-(203775/12587)*S+56610/12587)*k+(506976/12587)*S-196200/12587))*M*Ex*Ez*H-402688+(537368/5)*k+(2944/15)*k^3-(43928/5)*k^2)*Ca-(1134/5)*H*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE*(k+2600/63))*lambda^2+((((22*(k^3-(1634/55)*k^2+219*k-2760/11))*M*Ex*Ez*H+(15118/45)*k^3-(107684/45)*k^2+(35432/15)*k-(8/3)*k^4+58976/3)*R^3+(128*M*Ex*Ez*(k^3-(617/160)*k^2-(6813/128)*k+30231/80)*H-(592262/45)*k^2+(194876/15)*k+(83149/45)*k^3-(44/3)*k^4+324368/3)*R^2+(-139*M*Ex*Ez*((S-349/278)*k^3+(-(4102/695)*S+6757/695)*k^2+(-(4404/139)*S+378/139)*k+(228048/695)*S-212472/695)*H-(80/3)*k^4+(30236/9)*k^3-(215368/9)*k^2+(70864/3)*k+589760/3)*R-(437/2*((S-66/437)*k^3+(-(26586/2185)*S+516/115)*k^2+((18516/437)*S-14454/437)*k+(314544/2185)*S+720/19))*M*Ex*Ez*H+117952+(70864/5)*k-16*k^4+(30236/15)*k^3-(215368/15)*k^2)*Ca+96*H*M*Ex*(R-S)*(k^2+(1167/40)*k-162)*(R+1-(1/3)*S)*Ez*ReE)*lambda+(((12*(k^3-(21/2)*k^2-4*k+260))*M*Ex*Ez*H+(1864/9)*k^3+(2384/9)*k^2-(27616/3)*k-(136/9)*k^4+74240/3)*R^3+(-(4*(k^4+(1/2)*k^3-(1559/4)*k^2+3150*k-7290))*M*Ex*Ez*H+(13112/9)*k^2-(151888/3)*k+(10252/9)*k^3-(748/9)*k^4+408320/3)*R^2+(4*M*Ex*((S-3/2)*k^4+(-S+11/2)*k^3+(-374*S+364)*k^2+(3156*S-3150)*k-7680*S+7560)*Ez*H-(1360/9)*k^4+(18640/9)*k^3+(23840/9)*k^2-(276160/3)*k+742400/3)*R+6*M*(S*k^4+(-(23/3)*S+3)*k^3+(-(602/3)*S-63/2)*k^2+(2116*S-12)*k-6080*S+780)*Ex*Ez*H+148480-55232*k-(272/3)*k^4+(3728/3)*k^3+(4768/3)*k^2)*Ca-6*H*(k^3+28*k^2-447*k+1080)*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)*beta^3+(-3168*Ca*(R+3/2)*(R+2)^2*lambda^5+(8640*((M*Ex*Ez*H+(14/75)*k+23/10)*R^3+((627/200)*M*Ex*Ez*H+(77/75)*k+253/20)*R^2+(-(727/200)*Ez*M*(-828/727+S)*Ex*H+(28/15)*k+23)*R-(307/50*(-75/307+S))*Ez*M*Ex*H+(28/25)*k+69/5))*Ca*lambda^4+(((-2682*M*Ex*(k-1940/149)*Ez*H+117232+(408/5)*k^2-(13052/5)*k)*R^3+(-7965*M*Ex*(-16532/1475+k)*Ez*H+644776+(2244/5)*k^2-(71786/5)*k)*R^2+((9306*((S-1181/1034)*k-(29648/2585)*S+35922/2585))*M*Ex*Ez*H+816*k^2-26104*k+1172320)*R+(15993*((S-447/1777)*k-(110644/8885)*S+5820/1777))*M*Ex*Ez*H+(2448/5)*k^2-(78312/5)*k+703392)*Ca+432*H*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)*lambda^3+((((1031/5*(k^2-(37740/1031)*k+196200/1031))*M*Ex*Ez*H-32*k^3+(24602/15)*k^2-(268684/15)*k+100672)*R^3+((6999/10*(k^2-(51960/2333)*k+107784/2333))*M*Ex*Ez*H+(135311/15)*k^2-(1477762/15)*k-176*k^3+553696)*R^2+(-(803*((S-9381/8030)*k^2+(-(19362/803)*S+25659/803)*k+(23616/365)*S-368064/4015))*M*Ex*Ez*H-320*k^3+(49204/3)*k^2-(537368/3)*k+1006720)*R-(2701/2)*M*Ex*Ez*((S-3093/13505)*k^2+(-(81510/2701)*S+612/73)*k+(1520928/13505)*S-117720/2701)*H+604032-(537368/5)*k-192*k^3+(49204/5)*k^2)*Ca+(1134/5)*H*(k+1300/21)*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)*lambda^2+((((1634/5)*M*Ex*(k^2-(12045/817)*k+20700/817)*Ez*H-(1760/9)*k^3+(105082/45)*k^2-(35432/15)*k-29488)*R^3+(-(32*(k^3-(43/10)*k^2-(6813/32)*k+90693/40))*M*Ex*Ez*H+(577951/45)*k^2-(194876/15)*k-(9680/9)*k^3-162184)*R^2+((32*((S-3/2)*k^3+(-(301/32)*S+5119/320)*k^2+(-(1101/8)*S+189/16)*k+(42759/20)*S-79677/40))*M*Ex*Ez*H-(17600/9)*k^3+(210164/9)*k^2-(70864/3)*k-294880)*R+48*M*Ex*Ez*(S*k^3+(-(777/32)*S+817/80)*k^2+((1543/8)*S-2409/16)*k+(19659/20)*S+1035/4)*H-176928-(70864/5)*k-(3520/3)*k^3+(210164/15)*k^2)*Ca-48*H*(k^2+(1167/20)*k-486)*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)*lambda+(((63*(k^2+(16/21)*k-520/7))*M*Ex*Ez*H-(1192/9)*k^3+(2288/9)*k^2+(27616/3)*k-37120)*R^3+(-(4*(k^3+(1871/8)*k^2-3150*k+10935))*M*Ex*Ez*H+(12584/9)*k^2+(151888/3)*k-(6556/9)*k^3-204160)*R^2+((4*((S-3/2)*k^3+(226*S-481/2)*k^2+(-3156*S+3150)*k+11520*S-11340))*M*Ex*Ez*H-(11920/9)*k^3+(22880/9)*k^2+(276160/3)*k-371200)*R+(6*(S*k^3+((418/3)*S+63/4)*k^2+(-2116*S+12)*k+9120*S-1170))*M*Ex*Ez*H-222720+55232*k-(2384/3)*k^3+(4576/3)*k^2)*Ca+84*H*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE*(k^2-(447/14)*k+810/7))*beta^2+(2112*Ca*(R+3/2)*(R+2)^2*lambda^5-(5760*((M*Ex*Ez*H+(7/75)*k+23/10)*R^3+((627/200)*M*Ex*Ez*H+(77/150)*k+253/20)*R^2+(-(727/200)*Ez*M*(-828/727+S)*Ex*H+(14/15)*k+23)*R-(307/50*(-75/307+S))*Ez*M*Ex*H+(14/25)*k+69/5))*Ca*lambda^4+((((894*(k-3880/149))*M*Ex*Ez*H-234464/3-(280/3)*k^2+(13052/15)*k)*R^3+((2655*(k-33064/1475))*M*Ex*Ez*H-1289552/3-(1540/3)*k^2+(71786/15)*k)*R^2+(-3102*M*Ex*((S-1181/1034)*k-(59296/2585)*S+71844/2585)*Ez*H-2344640/3+(26104/3)*k-(2800/3)*k^2)*R-(5331*((S-447/1777)*k-(221288/8885)*S+11640/1777))*M*Ex*Ez*H-560*k^2+(26104/5)*k-468928)*Ca-288*H*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)*lambda^3+((((2516*(k-6540/629))*M*Ex*Ez*H-(1816/3)*k^2+(268684/45)*k-201344/3)*R^3+(-(204/5)*M*Ex*(k^2-(2165/17)*k+8982/17)*Ez*H-(9988/3)*k^2+(1477762/45)*k-1107392/3)*R^2+((204/5*((S-3/2)*k^2+(-(16135/102)*S+14255/68)*k+(14432/17)*S-20448/17))*M*Ex*Ez*H-(18160/3)*k^2+(537368/9)*k-2013440/3)*R+(306/5*(S*k^2+(-(67925/306)*S+185/3)*k+(84496/51)*S-10900/17))*M*Ex*Ez*H-402688+(537368/15)*k-3632*k^2)*Ca-(378/5)*H*M*Ex*(R-S)*(R+1-(1/3)*S)*(k+2600/21)*Ez*ReE)*lambda^2+((((1606*(k-2760/803))*M*Ex*Ez*H-(6832/9)*k^2+(35432/45)*k+58976/3)*R^3+((364/5*(k^2-(11355/364)*k+60462/91))*M*Ex*Ez*H-(37576/9)*k^2+(194876/45)*k+324368/3)*R^2+(-(364/5)*M*((S-3/2)*k^2+(-(1835/91)*S+45/26)*k+(57012/91)*S-4086/7)*Ex*Ez*H-(68320/9)*k^2+(70864/9)*k+589760/3)*R-(546/5)*M*Ex*(S*k^2+((7715/273)*S-4015/182)*k+(26212/91)*S+6900/91)*Ez*H+117952+(70864/15)*k-(13664/3)*k^2)*Ca+(4668/5*(k-6480/389))*H*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)*lambda+((-16*M*Ex*Ez*(k-195)*H-(2320/9)*k^2-(27616/9)*k+74240/3)*R^3+(104*M*Ex*Ez*(k^2-(525/13)*k+3645/13)*H-(12760/9)*k^2-(151888/9)*k+408320/3)*R^2+(-(104*((S-3/2)*k^2+(-(526/13)*S+525/13)*k+(3840/13)*S-3780/13))*M*Ex*Ez*H-(23200/9)*k^2-(276160/9)*k+742400/3)*R-156*M*Ex*Ez*(S*k^2+(-(1058/39)*S+2/13)*k+(3040/13)*S-30)*H+148480-(55232/3)*k-(4640/3)*k^2)*Ca+894*H*(k-1080/149)*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)*beta-528*Ca*(R+3/2)*(R+2)^2*lambda^5+(1440*((M*Ex*Ez*H+23/10)*R^3+((627/200)*M*Ex*Ez*H+253/20)*R^2+(23-(727/200)*Ez*M*(-828/727+S)*Ex*H)*R+69/5-(307/50*(-75/307+S))*Ez*M*Ex*H))*Ca*lambda^4+(((5820*M*Ex*Ez*H+58616/3)*R^3+((74394/5)*M*Ex*Ez*H+322388/3)*R^2+(586160/3-(88944/5*(-17961/14824+S))*Ez*M*Ex*H)*R+117232-(165966/5*(-7275/27661+S))*Ez*M*Ex*H)*Ca+72*H*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)*lambda^3+(((6540*M*Ex*Ez*H+50336/3)*R^3+((26946/5)*M*Ex*Ez*H+276848/3)*R^2+(503360/3-(43296/5*(-639/451+S))*Ez*M*Ex*H)*R+100672-(126744/5*(-8175/21124+S))*Ez*M*Ex*H)*Ca+2340*H*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)*lambda^2+(((1380*M*Ex*Ez*H-14744/3)*R^3+(-(60462/5)*M*Ex*Ez*H-81092/3)*R^2+(-147440/3+(57012/5)*Ez*(-8853/9502+S)*M*Ex*H)*R-29488+(39318/5)*Ez*M*(1725/6553+S)*Ex*H)*Ca+3888*H*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)*lambda+((-780*M*Ex*Ez*H-18560/3)*R^3+(-7290*M*Ex*Ez*H-102080/3)*R^2+(-185600/3+(7680*(S-63/64))*Ez*M*Ex*H)*R-37120+9120*Ez*(S-39/304)*M*Ex*H)*Ca+1620*H*M*Ex*(R-S)*(R+1-(1/3)*S)*Ez*ReE)/(Ca*(R+3/2)*((-594*lambda^5+(3726+(3024/5)*k)*lambda^4+(21981-(9789/10)*k-(591/5)*k^2)*lambda^3+(18876-(67171/10)*k-(4/5)*k^3+(9663/20)*k^2)*lambda^2+(-5529+(18381/20)*k^2-(4429/5)*k+k^4-(3159/20)*k^3)*lambda+14*k^4-84*k^3-294*k^2+3452*k-6960)*beta^4+(2376*lambda^5+(-14904-(9072/5)*k)*lambda^4+(-87924+(29367/10)*k+(657/5)*k^2)*lambda^3+(-75504-(16473/10)*k^2+(201513/10)*k+(184/5)*k^3)*lambda^2+(22116+(7559/20)*k^3-(26921/10)*k^2+(13287/5)*k-3*k^4)*lambda-17*k^4+233*k^3+298*k^2-10356*k+27840)*beta^3+(-3564*lambda^5+(22356+(9072/5)*k)*lambda^4+(131886+(459/5)*k^2-(29367/10)*k)*lambda^3+(113256-36*k^3+(36903/20)*k^2-(201513/10)*k)*lambda^2+(-33174-(13287/5)*k-220*k^3+(52541/20)*k^2)*lambda-149*k^3+286*k^2+10356*k-41760)*beta^2+(2376*lambda^5+(-14904-(3024/5)*k)*lambda^4+(-87924-105*k^2+(9789/10)*k)*lambda^3+(-75504+(67171/10)*k-681*k^2)*lambda^2+(22116-854*k^2+(4429/5)*k)*lambda-290*k^2-3452*k+27840)*beta-594*lambda^5+3726*lambda^4+21981*lambda^3+18876*lambda^2-5529*lambda-6960)*(R+2)^2); 
   
 


